var pageX = {
        hasLoadInit : false,
        repeatTime : 10,//尝试重试最大次数
        addChart : true
};

$(function(){

	//是否是需要点击图标才加载相关数据的模式
	var isIconClkMode =  window.openFrom == "newColl" ? false : true;

	if(!isIconClkMode){

	    if(window.openFrom == "newColl" && window.bodyType == "20" && !pageX.formMasterId){
	        //新建表单的时候没有masterId，这个时候动态刷新右则数据关联表单区域/初始化表单区域读取一些表单的预置数据有问题，等正文加载完毕之后再处理。
	    }else{
	        //IE8加载顺序解决方式
	        _init_();
	    }
	    
	    // 新建页面注册函数
	    /**
	     * 执行流程预测 和 summary.js 里面有相同的方法
	     * @returns
	     */
	    window._executePrediction = function(dialogMode){
	        
	        var fnx = _getZWIframe();
	        
	        // loading 效果
	        if(dialogMode != true){
	            $("#prediction_body").html('<img class="center_img" src="' + _ctxPath + '/common/workflow/simulation/img/loading.gif">');
	        }
	        
	        // 刷新数据, loadAndRefreshPrediction 定义在 workflowPrediction.jsp
	        loadAndRefreshPrediction({
	           container: "#prediction_body",
	           contentAPI : _getZWIframe().contentAPI,
	           summaryId : summaryId,
	           formId : formAppid,
	           templateId : templateId,
	           processId : wfProcessId,
	           currentNodeId : "start",
	           showType : dialogMode === true ? "dialog" : ""
	        });
	    }
	}

});


//初始化方法
function _init_(){

    if(pageX.hasLoadInit){
        return;
    }

    pageX.hasLoadInit = true;

    var glContainer = document.getElementById("guanlian_info_div");
    if(!glContainer){
        //没有dom元素, IE在没有缓存的情况下，不知道为什么找不到dom， 进行重试机制
        if(pageX.repeatTime > 0){
            pageX.repeatTime = pageX.repeatTime - 1;
            pageX.hasLoadInit = false;
            setTimeout(_init_, 1000);
        }
        return;
    }

    pageX.drAreaVisible = typeof(newColl)!="undefined"? newColl : false;//数据关联区域是否可见
//    pageX.ajaxM = new dataRelationManager();
    pageX.poList = [];//配置文件对象列表
    pageX.po2DataListMap = {};//配置对象id和查询数据map
    var _templateId = typeof(templateId) == "undefined" ? "-1": templateId;
    var sysTemplateId = typeof(systemTemplateId) == "undefined" ? "-1": systemTemplateId;

    if(typeof(newColl) != "undefined"){
        _templateId = sysTemplateId;
    }

    var activityId = typeof(_summaryActivityId) == "undefined" ? "-1": _summaryActivityId;
    if(affairState == "2" || affairState == "1"){//待发，已发
        activityId = "start";
    }
    pageX._activityId = activityId;
    pageX._templateId = _templateId;
    pageX.formMasterId = formRecordid;
    pageX.clkCounter = clickCounter();
    pageX.ajaxReqM = ajaxRequestManager();
    pageX.chartCount = 0;//图表计数
    pageX.poId2ItemValueMap = {};//表单统计和表单查询的查询条件与查询值的对应关系
    pageX._formAppid = typeof(formAppid) == "undefined" ? "-1": formAppid;
    var canCopy1 = typeof(canCopy) == "undefined" ? "-1": canCopy;
    pageX.canCopy = canCopy1;

    if(window.openFrom == "newColl"){
        //新建页面进行展现
        dataRelation4Template();
    }

    //初始化各种数据对应的展现形式
    var params = {};
    params.templateId = _templateId;
    params.activityId = activityId;
    params.DR = DR;
    params.affairId = affairId;
    params.projectId = projectId;
    params.summaryId = summaryId;
    params.memberId = _affairMemberId;
    params.senderId = senderId;
    params.nodePolicy = nodePolicy;

    pageX.params = params;

    if(_templateId != "-1" && _templateId != ""){//模板数据

        pageInit();

        callBackendMethod("dataRelationManager","findRelationDatasByDR",params,{
	    	success:function(rval){
	    		 pageX.poList = rval;
	             //初始化所有标题和数据区域
	             initTitles(rval);
	             pageX.ajaxReqM.requestAll(pageX.poList);
	    	}
        });
    }else{
        if (typeof (affairState) != "undefined" && (affairState == 3 || affairState == 4 || affairState == 1 || affairState == 2)){//自由协同
            defaultConfig(affairState);
        }else{
            $(".guanlian_info").hide();
        }
    }
    //OA-175281    新建协同 - 调用模板后 - 关闭页面， 没有弹出页面是否离开的提示
    /*document.body.onbeforeunload = function(){// submit时屏蔽提示
        if(removeCtpWindow)removeCtpWindow(null,2);
    };*/
}

function dataRelation4Template(){
    $(".guanlian").hide();
    $(".guanlian_msg").show("fast");
    $("#closeBtn").hide();
}

//新建表单页面需要等正文加载完成后再执行数据加载
function _onFormLoaded(){
    if(window.openFrom == "newColl" && window.bodyType == "20" && !pageX.formMasterId){
        //IE8加载顺序解决方式
        _init_();
    }
}



/**
 *  注册表单控件变动事件， 这个方法在 componentPage.js 里面调用， 这里跨层级了
 */
function registFormFiledChangeEvent(){
	var zframe = __getZWIframe();
	if (zframe) {

	    var tempContentAPI = zframe.window.contentAPI;
		if(tempContentAPI){

		  //改变事件
		    tempContentAPI.registerEvent('afterFormFieldChange',function(o){
						var changeData = {};
						changeData["fieldId"] = o.id;
						changeData["fieldValue"] = o.value;
						changeData["fieldRecordId"] = o.recordId;
						changeData["fieldDisplyValue"] = o.showValue;

						var formData = {};
						var key = o.id;
						if (typeof(o.recordId) != "undefined" && "" != o.recordId) {
							key += "_" + o.recordId;
						}
						formData[key] = changeData;
                try{
                    formChangeEvent(formData,"change");
                }catch(e){}
            });

		  //计算事件
		    tempContentAPI.registerEvent('afterFormFieldCalc',function(o){
						var changeData = {};
						changeData["fieldId"] = o.id;
						changeData["fieldValue"] = o.value;
						changeData["fieldRecordId"] = o.recordId;
						changeData["fieldDisplyValue"] = o.showValue;

						var formData = {};
						var key = o.id;
						if (typeof(o.recordId) != "undefined" && "" != o.recordId) {
							key += "_" + o.recordId;
						}
						formData[key] = changeData;
                try{
                    formChangeEvent(formData,"calcChange");
                }catch(e){}
            });
		    //重复表行删除后事件,重新加载数据
		    tempContentAPI.registerEvent('afterRepeatChange',function(o){
		    	try{
		    		var poList = pageX.poList;
		    		for (var i = 0; i < poList.length; i++) {
		    			var po = poList[i];
		    			po.isLoad = false;
		    		}
		    		pageX.ajaxReqM.requestAll(poList);
		    	}catch(e){}
		    });
		}
	}
}

function defaultConfig(affairState){
	pageInit();

	var params = {};

	params.summaryId = pageX.params.summaryId;
	params.affairId = pageX.params.affairId;
	params.projectId = pageX.params.projectId;
	params.memberId = pageX.params.memberId;
	params.activityId = pageX.params.activityId;
	params.affairState = affairState;

	//初始化各种数据对应的展现形式
	callBackendMethod("dataRelationManager","findSelfCollConfig",params,{
    	success:function(rval){
    		//待发编辑页面不显示“我发起”与“发起给我”的栏目
    		var new_rval = new Array();
    		if(affairState == '-1'){
    			for(var i = 0 ; i < rval.length ; i++){
    				var obj = rval[i];
    				if(obj.id != '10000' && obj.id != '10001'){
    					new_rval.push(obj);
    				}
    			}
    		}else{
    			new_rval = rval;
    		}
    		pageX.poList = new_rval;
    		//初始化所有标题和数据区域
    		initTitles(new_rval);
    		//加载数据
    		pageX.ajaxReqM.requestAll(pageX.poList);
    		$(".guanlian_msg .msg_title #data_msg").html($.i18n('datarelation.title2.js'));
    	}
    });

	//设置整体标题
}

/**
 * 当前页面的上下文
 */
function initContext(){
	pageX.area = $(".guanlian_info");//数据关联区域
	pageX.fillArea = pageX.area.find("#dataRelation_body");//填充数据区域
	pageX.tplHtml = {
		"listTpl" : pageX.area.find("#listTpl").html(),
		"tabTpl" : pageX.area.find("#tabTpl").html(),
		"vTabTpl" : pageX.area.find("#vTabTpl").html(),
		"imgTpl":pageX.area.find("#imgTpl").html(),
		"tab2img":pageX.area.find("#tab2img").html(),
		"index":pageX.area.find("#index").html(),
		"iframe":pageX.area.find("#iframe").html()
	};// 模板html
}

/**
 * 初始化所有数据区域的标题头部
 */
function initTitles(poList){
	if(poList != null && typeof(poList) != 'undefined'){

	    var toShowCopyNote = false;
	    var toShowNote = false;

	    //填充数据块名称
		for (var i = 0; i < poList.length; i++) {
			var po = poList[i];
			var tpl = $("<div>"+getTpl(po.dataTypeName).tplHtml+"</div>");
			var ul = tpl.find("ul");
			ul.attr("id",po.id);
			var title = ul.find(".msg_ul_title");
			$("span[class='title_span']", title).attr("title",po.subject).text(getSubStr(po.subject,33));

			$noteDiv = $("#copyFormNote", title);
			if(po.dataTypeName != "templateSend" || window.openFrom != "newColl"){
			    $noteDiv.remove();
			}else{
			    $noteDiv.attr("id", "copyNote" + po.id);
			    toShowCopyNote = true;
			}
			$statAndSearchNoteDiv = $("#statAndSearchNote", title);
			if (po.dataTypeName =="formStat" || po.dataTypeName == "formSearch") {
				$statAndSearchNoteDiv.attr("id", "statAndSearchNote" + po.id);
				toShowNote = true;
			} else {
				$statAndSearchNoteDiv.remove();
			}
			if(!po.showMore){
				ul.find("#amore").hide();
			}
			switch (po.dataTypeName) {
				case "templateSend":
				case "templateDeal":
					break;
				case "traceWorkflow":
				case "outSystem":
				case "otherReport":
					ul.find("#amore").hide();
					break;
				case "project":
				case "doc":
				case "formStat":
				case "formSearch":
				default:
			}

			var ctpTop =  getCtpTop();
			title.find("#amore").attr({"title":$.i18n('datarelation.open.win.more.js'),"pid":po.id,"onclick":"openMoreWin(this);"});
			pageX.fillArea.append(ul);
		}

		if (toShowNote) {
			var div_tipDesc = "<div style='font-size:12px;'>"+$.i18n("common.datarelation.note")+"</div>";
			$(".statAndSearchNote", pageX.fillArea).each(function(){
		          var $this = $(this);
		        $this.mouseenter(function () {
		            var _targetId = $this.attr("id").replace("#", "");
		            var tipOptions = {
		                        event:true,
		                        direction: 'TR',
		                        msg : div_tipDesc,
		                        targetId: _targetId
		                }
		            pageX.tooltipObj = new MxtToolTip(tipOptions);
		            pageX.tooltipObj.setPoint(null,null);
		            pageX.tooltipObj.show();
		        }).mouseleave(function() {
		            if(pageX.tooltipObj){
		                pageX.tooltipObj.close();
		                pageX.tooltipObj = null;
		            }
		        });

		        $(this).tooltip({
		                singleTon : false,
		                event:false,
		                direction: 'TR',
		                msg : div_tipDesc
	            })
		    });
		}

		//tooltip提示
		if(toShowCopyNote){
		    var tipDesc = $.i18n("datarelation.note.copyform.title.js")
		                   + "<br/>"
		                   + $.i18n("datarelation.note.copyform.note1.js")
		                   + "<br/>"
		                   + $.i18n("datarelation.note.copyform.note2.js");
		                   /*+ "<br/>"
		                   + $.i18n("datarelation.note.copyform.note3.js")*/
		    var div_tipDesc = "<div style='font-size:12px; color:green;'>"+tipDesc+"</div>";
		    pageX.tooltipObj = null;

		    $(".copyFormNote", pageX.fillArea).each(function(){
		          var $this = $(this);
		        $this.mouseenter(function () {
		            var _targetId = $this.attr("id").replace("#", "");
		            var tipOptions = {
		                        event:true,
		                        direction: 'TR',
		                        msg : div_tipDesc,
		                        targetId: _targetId
		                }
		            pageX.tooltipObj = new MxtToolTip(tipOptions);
		            pageX.tooltipObj.setPoint(null,null);
		            pageX.tooltipObj.show();
		        }).mouseleave(function() {
		            if(pageX.tooltipObj){
		                pageX.tooltipObj.close();
		                pageX.tooltipObj = null;
		            }
		        });

		        $(this).tooltip({
		                singleTon : false,
		                event:false,
		                direction: 'TR',
		                msg : div_tipDesc
	            })
		    });
		}
	}

	//设置整体标题
	$(".guanlian_msg .msg_title #data_msg").attr("title",$.i18n('datarelation.title2.js')).html($.i18n('datarelation.title2.js'));
}

/**
 * 加载头部下面的数据块区域
 * @param id2DataMap po的id和po对象的map集合
 */
function loadArea(id2DataMap){
	for(var poId in id2DataMap) {
			var po = getConfigById(poId);
			if (po) {
				var tpl = pageX.fillArea.find("ul[id=" + po.id + "]");
				if (tpl.length == 1) {
						var dataList = id2DataMap[poId];
						tpl.find(".loading_li").show();
						tpl.children("li[class=table_li]").remove();
						tpl.children("li[class=chart_li]").remove();
						tpl.children("li[class=list_li]").remove();
						if (dataList ) {//初始化配置对象和数据的关联
                                pageX.po2DataListMap[po.id] = dataList;
                                fillRow(po.dataTypeName,dataList,tpl,po);
						} else {// 如果是表单查询和表单统计，表示没权限,更多置灰
							switch (po.dataTypeName) {
								case "formStat":
								case "formSearch":
								case "otherReport":
									//tpl.find("#amore").hide();
									tpl.remove();//将整个区域去除
									break;
								default:
							}
						}
						//隐藏loading
						tpl.find(".loading_li").hide();

				}
			}


	}
	//配置了结构但是没有数据的不显示loadingImg
	if(pageX.poList.length >0){
		for(var i =0 ; i < pageX.poList.length ;i++){
			for(var poId in id2DataMap) {
				if(poId != pageX.poList[i].id ){
					var tpl = pageX.fillArea.find("ul[id=" +  pageX.poList[i].id  + "]");
					tpl.find(".loading_li").hide();
				}
			}
		}
	}
}

/**
 * @param dataType 数据类型
 * @param data 填充的数据
 * @param tpl 填充到那个对象里面
 */
function fillRow(dataType, dataList, tpl, po) {
	var tplType = getTpl(dataType);
	var width = (window.openFrom == "newColl" ? 330 : 341) - 20 - 20; // 每一项左右10px, 滚动条20px
	if (tplType.type == "list") {
		var li = tpl.find("div.display_none");
		var html = li.html();
		for (var i = 0; i < dataList.length; i++) {
			var data = dataList[i];
			var row = $(html);
			var t = getTitle(dataType,data,35, width);
			row.find("span:first").after(t.text);
			row.attr({"title":t.title,"pid":po.id,"index":i,"onclick":"openWin(this);"});
			if(data.affair && data.affair.formAppId != null && data.affair.formAppId == pageX._formAppid && pageX._activityId == "start"){//发起节点,同一个表单的数据
				if(data.affair.formRecordid != null && affairState != "2"){//已发
					row.find("#copyToForm").attr({"formAppid":data.affair.formAppId,"formRecordid":data.affair.formRecordid,"summaryId":data.summaryId});
				} else {
					row.find("#copyToForm").remove();
				}
			} else {
				row.find("#copyToForm").remove();
			}
			if(pageX.canCopy!="-1" && pageX.canCopy == "false") {
			    row.find("#copyToForm").remove();
			}
			tpl.append(row);
		}
	} else if (tplType.type == "tab") {
			var urlFieldAndImageField = po.urlAndImgField;
			var urlFieldList = [];
			var imageDisList = [];
			if(urlFieldAndImageField != [] && urlFieldAndImageField != null && typeof(urlFieldAndImageField) != 'undefined'){
				try{
					urlFieldList = urlFieldAndImageField["urlFieldList"];
					imageDisList = urlFieldAndImageField["imageDisList"];
				}catch(e){
				}
			}

			var showColFieldList = po.showColFieldList;//显示属性列表
			var showColNameList = po.showColNameList;//显示列名列表
			var header2field = [];//属性和标题文本名称
			for (var i = 0; i < showColNameList.length; i++) {
				var colName = showColNameList[i];
				for (var j = 0; j < showColFieldList.length; j++) {
					var field = showColFieldList[j];
					if (colName == field.name) {
							var pIndex = colName.indexOf(".");
							if (pIndex != -1) {
								colName = colName.substr(pIndex + 1);
							}
							if(po.capType == "4"){
								colName = colName.replace("#","_");
							}
						header2field.push({"fieldCode":colName,"fieldTxt":field.value});
						break;
					}
				}
			}

			if(po.vertical && dataList.length <= 1){//单行数据转置显示
				var li = tpl.find("#vTab");
				var tr = li.find("tr:first");
				var trs = [];
				var data = dataList.length < 1 ? {} : dataList[0];
				for (var i = 0; i < header2field.length; i++) {
					var fieldCode = header2field[i].fieldCode;
					tr.find("th").attr("title",header2field[i].fieldTxt).html(getLimitLength(header2field[i].fieldTxt, 15));//标题

					var val = data[fieldCode];
					var tempTitle = val;
					if (val == "" || val == null) {
						val ="&nbsp;";
					}else{
						var isUrl = false;
						var isDisImage = false;
						if(urlFieldList){
				            for(iUrl in urlFieldList){
				                if(urlFieldList[iUrl] == fieldCode){
				                    isUrl = true;
				                    break;
				                }
				            }
				        }
				        if(imageDisList){
				            for(imgj in imageDisList){
				                if(imageDisList[imgj] == fieldCode){
				                    isDisImage = true;
				                    break;
				                }
				            }
				        }

				        if(isUrl){
				            val ='<a class="noClick" href='+val+' target="_blank">'+val+'</a>';
				        }else if(isDisImage && val != "" && val != "&nbsp;" ){
				            var imgSrc = _ctxPath+"/fileUpload.do?method=showRTE&fileId="+val+"&expand=0&type=image";
				            val = "<img class='showImg' src='"+imgSrc+"' height=25 />";
				        }else{
				        	if(val == undefined){
				        		val = '';
				        	}else if(typeof(val)=="string"){
				        		 val = escapeStringToHTML(val);
				        	 }else{ //cap4类型的图标
				        		 var imgSrc = _ctxPath+"/fileUpload.do?method=showRTE&fileId="+val.imageId+"&expand=0&type=image";
					             val = "<img class='showImg' src='"+imgSrc+"' height=25 />";
				        	 }
				        }
					}
					//数据
					isDisImage ? tr.find("td").attr("title","").html(val) : tr.find("td").attr("title",tempTitle).html(val);
					trs.push(tr.prop("outerHTML"));
				}


				if (header2field.length > 0) {
					var _li = $(li.html());
					_li.find("table").html(trs.join(""));
					tpl.append(_li);
				}
			} else {
				var li = tpl.find("#tab");
				//生成标题
				var head = li.find("tr:first");
				var th = $(head.html());
				var heads = [];
				for (var i = 0; i < header2field.length; i++) {
					var thHtml = th.attr("title",header2field[i].fieldTxt).html(header2field[i].fieldTxt).prop("outerHTML");
					heads.push(thHtml);
				}
				//生成数据
				var row = li.find("tr:last");
				var tr = $(row.prop("outerHTML"));
				var td = row.find("td");
				var trs = [];
				for (var i = 0; i < dataList.length; i++) {
					var data = dataList[i];
					var tds = [];
					for (var j = 0; j < header2field.length; j++) {
						var fieldCode = header2field[j].fieldCode;
						var val = data[fieldCode];
						var isUrl = false;
						var isDisImage = false;
						if(urlFieldList){
				            for(urlI in urlFieldList){
				                if(urlFieldList[urlI] == fieldCode){
				                    isUrl = true;
				                    break;
				                }
				            }
				        }
				        if(imageDisList){
				            for(imgj in imageDisList){
				                if(imageDisList[imgj] == fieldCode){
				                    isDisImage = true;
				                    break;
				                }
				            }
				        }
				        var cap4ImgFlag = false;
				        if(isUrl){
				            val ='<a class="noClick" href='+val+' target="_blank">'+val+'</a>';
				        }else if(isDisImage && val != ""){
				            var imgSrc = _ctxPath+"/fileUpload.do?method=showRTE&fileId="+val+"&expand=0&type=image";
				            val = "<img class='showImg' src='"+imgSrc+"' height=25 />";
				        }else{
				        	if(val == undefined){
				        		val = '';
				        	}else if(typeof(val) == "string"){
				        		val = getLimitLength(data[fieldCode], 20);
					        	val = escapeStringToHTML(val);
				        	 }else{ //cap4类型的图标
				        		 cap4ImgFlag =true;
				        		 var imgSrc = _ctxPath+"/fileUpload.do?method=showRTE&fileId="+val.imageId+"&expand=0&type=image";
					             val = "<img class='showImg' src='"+imgSrc+"' height=25 />";
				        	 }

				        }
				        var title = isDisImage ?"":data[fieldCode] ;//图片枚举不显示title
				        if(cap4ImgFlag){
				        	title = data[fieldCode].showvalue;
				        }
				        td.attr("title",escapeStringToHTML(title));
						tds.push(td.html(val).prop("outerHTML"));
					}
					trs.push(tr.html(tds.join("")).prop("outerHTML"));
				}
				var _li = $(li.html());
				var _head = $(head.prop("outerHTML"));
				_li.find("table").html(_head.html(heads.join("")).prop("outerHTML") + trs.join(""));
				tpl.append(_li);
			}

	}else if(tplType.type == "img"){//外部系统

		//如果是cap4的话
		if(po.dataTypeName == "formStat" && po.capType =="4"){
			//显示cap4的图
			showCap4ImgChart(dataType, dataList, tpl, po);
		} else if (po.dataTypeName == "otherReport") {
			var li = tpl.find(".display_none");
			if (dataList.iframeUrl) {
				var title = dataList.reportTitle;
				var _li = $(li.html());
				var img = _li.find("p").removeClass("chart_title").addClass("chart_title_p");

				_li.find("td[class='chart_img_td']").remove();

				_li.find("p").attr({"title":title,"pid":po.id,"onclick":"openWin(this);","title":title}).html(escapeStringToHTML(title));
				tpl.append(_li);

			}
		} else{
			var li = tpl.find(".display_none");
			for (var i = 0; i < dataList.length; i++) {
				var data = dataList[i];
				//img src
				if(data){
					var _li = $(li.html());
					var contentLen =  62;
					//if (data.subject != "" && data.content != null) {
						if(data.imgSrc){
							var imgUrl = _ctxPath + "/fileUpload.do?method=showRTE&type=image&fileId="+data.imgSrc+"&createDate="+data.imgDate;
							_li.find("img").attr({"title":data.subject,"pid":po.id,"index":i,"onclick":"openWin(this);","src":imgUrl});
							_li.find("p").css("line-height", "30px");
							//_li.find("p").removeClass("chart_title_p").addClass("chart_title");
						}else{
							var _content =  data.content == null? "":data.content;
							var img = _li.find("p").removeClass("chart_title")
							                       .addClass("chart_title_p")
							                       .after("<span pid='"+po.id+"' index='"+i+"' onclick='openWin(this);' title='"+_content+"'>"+escapeStringToHTML(getLimitLength(_content, 145))+"</span>");
							_li.find("td[class='chart_img_td']").remove();
							contentLen =25;
						}

						//title
						var t = getTitle(dataType,data,contentLen, width);
						if (t.text == "") {
							t.text = data.url;
						}
						_li.find("p").attr({"title":t.title,"pid":po.id,"index":i,"onclick":"openWin(this);","title":t.title}).html(escapeStringToHTML(t.text));
						tpl.append(_li);
					//}
				}
			}
		}

	}else if((tplType.type == "tab2img"  ) ){//表单统计专用，图形和列表混合

		//如果是cap3
		if(dataList.report){

			var hearders = dataList.report.hearders;
			var datas =  dataList.report.datas;
			var showColFieldList = po.showColFieldList;//显示列名列表
			showCap3Tab2(hearders,datas,showColFieldList,po,tpl);

				//生成统计图
				var chartList = dataList.chartList;
				if (chartList && po.showChart == 1) {// 显示图表

					var initChart = function(){
						var li = tpl.find("#img[class='display_none']");
						var chartDiv = li.find("#chartIndex");//图表对象
						var chartTitleP = li.find(".chart_title");
						var charItemNameList = po.formCondMap.charItemNameList;
						var chartData = [];
						var chartHtml = [];
						for (var i = 0; i < po.chartItemList.length; i++) {
							var chartItem = po.chartItemList[i];
							var chartJson = null;
							var chartTitle = null;
							var chartType = null;
							for (var j = 0; j < chartList.length; j++) {
								var chart = chartList[j];
								if(chartItem.imgId == chart.id ){
									chartJson = $.parseJSON(chart.chartJSON);
									chartType = chartItem.type;
									break;
								}
							}

							for (var j = 0; j < charItemNameList.length; j++) {
								var chart = charItemNameList[j];
								if(chartItem.imgId == chart.chartId){
									//找到图对应的标题。
									chartTitle = chart.title;
									break;
								}
							}

							if(chartJson != null && !isEmptyData(chartJson.option)){
								pageX.chartCount++;
								chartTitleP.html(escapeStringToHTML(chartTitle));//标题
								chartDiv.attr("id","chartIndex"+pageX.chartCount);
								chartHtml.push(li.html());
								chartData.push({"type":chartType,"json":chartJson.option,"id":"chartIndex"+pageX.chartCount});
							}
						}
						chartDiv.attr("id","chartIndex");
						tpl.append(chartHtml.join(""));

						var cMinWidth = 277;
						var cMaxWidth = 450;
						var cMinSize = 4;
						var cMaxSize = 8;
						var cWidthStep = 50;

						for (var j = 0; j < chartData.length; j++) {
			                var d = chartData[j];

			                //更具数据列， 适当调整宽度
			                if (d && d.json && d.json.legend && d.json.legend.data) {

			                    var labelData = d.json.legend.data;
			                    var finalSize = Math.min(cMaxSize, labelData.length);
			                    if (finalSize > cMinSize) {
			                        var finalWidth = cMinWidth + (finalSize - cMinSize) * cWidthStep;
			                        finalWidth = Math.min(finalWidth, cMaxWidth);
			                        var charEle = document.getElementById(d.id);
			                        charEle.style.width = finalWidth + "px";
			                    }
			                }

			                if (d.json) {//,"x2":20  ,chart距离左边的距离，x2为距离右边的距离
			                    var grid_x = 40;
			                    //柱状图与折线图，需要控制左侧距离
			                    if (d.type == 1 || d.type == 3) {
			                        var tempNum = 0;
			                        for (var k = 0; k < d.json.series.length; k++) {
			                            var series = d.json.series[k];
			                            for (var l = 0; l < series.data.length; l++) {
			                                if (!isNaN(series.data[l].value) && parseInt(series.data[l].value) > tempNum) {
			                                    tempNum = parseInt(series.data[l].value);
			                                }
			                            }
			                        }
			                        var num = parseInt(tempNum) + "";
			                        var numLength = num.length;
			                        if (numLength > 4) {
			                            grid_x = numLength * 9;
			                        }
			                    }
			                    d.json["grid"] = {"x": grid_x, "x2": 20};
			                }
			                drawingChart2(d.type, d.json, d.id, "DataRelation");
			            }
					}

					initChart();
				}
		}
		//如果是cap4的话
		if(po.dataTypeName == "formStat" && po.capType =="4"){
			//显示cap4的表格
			if(dataList.data.length > 0){

				showCap4Tab(dataType, dataList, tpl, po);

				//显示cap4的图
				showCap4ImgChart(dataType, dataList, tpl, po);
			}
		}

	} else if (tplType.type == "index") {
		tpl.find("#searchAreaInput").attr("value", dataList.key);
		tpl.find("#_dealSearch").attr("value",dataList.key);
		tpl.find(".indexSearch").show();
		if (!po.showMore) {
			tpl.find("#_dealSearch").hide();
		}
	}
}

function showCap3Tab2(hearders,datas,showColFieldList,po,tpl){
		//显示的列
		var showColFieldNameList = [];
		if(showColFieldList && showColFieldList.length > 0){
		    for(var i = 0, l = showColFieldList.length; i < l; i++){
		        showColFieldNameList.push(showColFieldList[i].display);
		    }
		}

		//pageSize统计不能分页， 通过js进行处理
		var tempLength = datas.length;
		if(tempLength > po.pageSize){
		    tempLength = po.pageSize;
		    var newDatas = [];
		    for(var i = 0; i < tempLength; i++){
		        newDatas.push(datas[i]);
		    }
		    datas = newDatas;
		}

		if (po.showTable == 1 && po.vertical2 && tempLength <= 1) {// 单行数据转置显示
	        var li = tpl.find("#vTab");
	        // 标题数据转置
	        var vHearders = [];
	        for (var i = 0; i < hearders.length; i++) {
	            for (var j = 0; j < hearders[i].cells.length; j++) {
	                if (vHearders[j] == null) {
	                    vHearders[j] = {
	                        "cells" : []
	                    };
	                }
	                vHearders[j]["cells"][i] = hearders[i].cells[j];
	            }
	        }

	        // 生成标题
	        var head = li.find("tr:first");
	        var th = $(head.find("th").prop("outerHTML"));
	        var td = $(head.find("td").prop("outerHTML"));
	        var _head = $(head.prop("outerHTML"));

	        //转置算法
	        var tablaDatas = [];
	        var headerColCount = 0;
	        for(var i = 0,len = hearders.length; i < len; i++){
	            var tRow = hearders[i];
	            var tCols = tRow.cells;
	            var tempColCount = 0;
	            for (var j = 0; j < tCols.length; j++) {
	                tCols[j]._isHeader = true;
	                var cSpan = tCols[j].colSpan;
	                if (cSpan) {
	                    cSpan = parseInt(cSpan, 10);
	                } else{
	                	cSpan = 1;
	                }
	                tempColCount += cSpan;
	            }
	            headerColCount = Math.max(headerColCount, tempColCount);
	            tablaDatas.push(tRow);
	        }
	        if (datas.length > 0) {
	        	for(var i = 0,len = datas.length; i < len; i++){
	        		var tRow = datas[i];
	        		var tCols = tRow.cells;
	        		for (var j = 0; j < tCols.length; j++) {
	        			tCols[j]._isHeader = false;
	        		}
	        		tablaDatas.push(tRow);
	        	}
	        }else{
	    		var tempRow = {};
	    		var tempCells = [];
				for (var i = 0; i < headerColCount; i++) {
					tempCells.push({"colspan" : 1,
	                    "rowspan" : 1,
	                    "display" : "",
	                     "_isHeader" : false});
				}
				tempRow["cells"] = tempCells;
				tablaDatas.push(tempRow);
	        }

	        //坐标，标记td
	        var racts = [];
	        for (var i = 0,len = tablaDatas.length; i < len; i++) {
	            var tRow = tablaDatas[i];
	            var tCols = tRow.cells;
	            for (var j = 0; j < tCols.length; j++) {
	                var tCol = tCols[j];
	                var rSpan = tCol.rowSpan;
	                if (rSpan) {
	                    rSpan = parseInt(rSpan, 10);
	                } else {
	                    rSpan = 1;
	                }
	                var cSpan = tCol.colSpan;
	                if (cSpan) {
	                    cSpan = parseInt(cSpan, 10);
	                } else {
	                    cSpan = 1;
	                }

	                var cellObj = {
	                    "cell" : tCol,
	                    "read" : false,
	                    "isHeader" : tCol._isHeader,
	                    "colspan" : rSpan,
	                    "rowspan" : cSpan
	                };

	                for (var kr = 0; kr < rSpan; kr++) {

	                    for (var kc = 0; kc < cSpan; kc++) {
	                        var tempCol = j + kc;
	                        if (typeof racts[i + kr] == 'undefined') {
	                            racts[i + kr] = [];
	                        }
	                        while (typeof racts[i + kr][tempCol] != 'undefined') {
	                            tempCol++;
	                        }
	                        racts[i + kr][tempCol] = cellObj;
	                    }
	                }
	            }
	        }

	        //转置Table
	        var newRacts = [];
	        for (var i = 0; i < racts.length; i++) {
	            for (var j = 0; j < racts[i].length; j++) {
	                if (!newRacts[j]) {
	                    newRacts[j] = [];
	                }
	                newRacts[j][i] = racts[i][j];
	            }
	        }

	        //转置后展示
	        var heads = [];
	        for (var i = 0; i < newRacts.length; i++) {
	            var headThs = [];
	            for (var j = 0; j < newRacts[i].length; j++) {
	                var tCell = newRacts[i][j];
	                if(tCell == undefined){
	                	continue;
	                }
	                if (tCell['read'] === false) {
	                    tCell['read'] = true;

	                    var tHtml = "";
	                    var cell = tCell.cell;
	                    if(tCell.isHeader){
	                        tHtml = th.attr({
	                            "colspan" : tCell['colspan'],
	                            "rowspan" : tCell['rowspan'],
	                            "title" : cell.display
	                        }).html(escapeStringToHTML(cell.display)).prop("outerHTML");
	                    }else{
	                        tHtml = td.attr({
	                            "colspan" : tCell['colspan'],
	                            "rowspan" : tCell['rowspan'],
	                            "title" : cell.display
	                        }).html(escapeStringToHTML(cell.display)).prop("outerHTML");
	                    }
	                    headThs.push(tHtml);
	                }
	            }
	            heads.push(headThs.join(""));
	        }
	        var trs = [];
	        for (var i = 0; i < heads.length; i++) {
	            trs.push(_head.html(heads[i]).prop("outerHTML"));
	        }

	        var _li = $(li.html());
	        _li.find("table").html(trs.join(""));
	        tpl.append(_li);

	} else if(po.showTable == 1){
		var li = tpl.find("#tab");
		//生成标题
		var head = li.find("tr:first");
		var th = $(head.html());
		var heads = [];
		var _head = $(head.prop("outerHTML"));

		for (var i = 0; i < hearders.length; i++) {
			var row = hearders[i];
			var headThs = [];
			for (var j = 0; j < row.cells.length; j++) {
				var cell = row.cells[j];
				var thHtml = th.attr({"colspan":cell.colSpan,"rowspan":cell.rowSpan,"title":cell.display}).html(escapeStringToHTML(cell.display)).prop("outerHTML");
				headThs.push(thHtml);
			}
			heads.push(_head.html(headThs.join("")).prop("outerHTML"));
		}

		//生成数据
		var row = li.find("tr:last");
		var tr = $(row.prop("outerHTML"));
		var td = row.find("td");
		var trs = [];
		for (var i = 0; i < datas.length; i++) {
			var row = datas[i];
			var tds =[];
			for (var j = 0; j < row.cells.length; j++) {
				var cell = row.cells[j];
				var tdHtml = td.attr({"colspan":cell.colSpan,"rowspan":cell.rowSpan,"title":escapeStringToHTML(cell.display)}).html(escapeStringToHTML(getLimitLength(cell.display,22))).prop("outerHTML");
				tds.push(tdHtml);
			}
			trs.push(tr.html(tds.join("")).prop("outerHTML"));
		}

		var _li = $(li.html());
		_li.find("table").html(heads.join("") + trs.join(""));
		tpl.append(_li);
	}

}

function showCap4Tab(dataType, dataList, tpl, po){
	var rowheader  = po.formCondMap.rowHeaders;
	var colHeaders = po.formCondMap.colHeaders;
	var statsFields = po.showColFieldList;
	var statsLength = 1;
	if(statsFields){
		statsLength = statsFields.length;
	}
	var headers =[];
	var tCell = {};
	var cells = [];
	var rowheaderheight = 1;
	if(colHeaders){
		rowheaderheight = 2;
	}
	var dataHeader = [];
	//首先组装我的rowHeader
	if(rowheader){
		for(var i = 0 ; i < rowheader.length ; i++){
			tCell = {};
			tCell["colSpan"] = 1;
			tCell["rowSpan"] = rowheaderheight;
			tCell["title"] = rowheader[i].aliasTableName+"_"+rowheader[i].name;
			tCell["display"] = rowheader[i].aliasDisplay;
			cells[i] = tCell ;
			dataHeader[i] = tCell;
		}

	}

	var detailData = dataList.data;
	var filterDetailData = [];
	//如果存在列表头
	if(colHeaders){
		//从datalist中获取列表头数据
		for(var i =0 ; i<dataList.coldata.length;i++){
			var rowdata = dataList.coldata[i];

			tCell = {};
			tCell["colSpan"] = statsLength;
			tCell["rowSpan"] = 1;
			tCell["title"] = "";
			tCell["display"] = rowdata[0];
			cells[cells.length] = tCell;
			}
		headers[0] = {};
		headers[0].cells = cells; //第一行数据组装完成


		var dataColData = [];
		//找出col_数字开头的熟悉
		if(detailData.length > 0){
			var dataEntity = detailData[0];
			var newObject = {};
			for(var tempKey in dataEntity){
				if(tempKey.indexOf("col_") === 0){
					newObject[tempKey] = dataEntity[tempKey];
				}
			}
			dataColData[0] = newObject;
		}
		if(dataColData.length > 0){
			var dataEntity = dataColData[0];
			dataColData = [];
			var numberArr =new Array();
			for(var tempKey in dataEntity){
				var newObject = {};
				var number = tempKey;
					number = number.substr(number.indexOf("col_")+4);
					number = number.substr(0,number.indexOf("_"));
					var flag = true;
					if(numberArr.length == 0){
						numberArr.push(number); //第一个装入数组;
					}else{
						for(var n = 0; n< numberArr.length ; n++){
							if(number == numberArr[n]){
								flag =false
								break ;
							}
						}
						if(flag){
							numberArr.push(number); //第一次装入数组;
						}
					}
					//这样的方式还是保存了 key
					if( flag == false){
						newObject =	dataColData[number] ;
						newObject[tempKey] = dataEntity[tempKey];
						dataColData[number] = newObject;
					}else{
						newObject[tempKey] = dataEntity[tempKey];
						dataColData[number] =newObject
					}


			}

		}
		var j = 0;
		cells =[];//第二行开始
		var k =0;
		for(var i =0 ;i<dataColData.length ;i++ ){
			var dataEntity = dataColData[i];
			for(var j =0 ; j<statsFields.length ;j++){
				var statsField = statsFields[j]
				var statsFileName = statsField.name;
				statsFileName = statsFileName.replace("#","_");
				for(var tempKey in dataEntity){
					if(tempKey =="col_"+i+"_"+ statsFileName){
						tCell = {};
						tCell["colSpan"] = 1;
						tCell["rowSpan"] = 1;
						tCell["title"] = tempKey;
						tCell["display"] = statsField.display;
						cells[k] = tCell;
						dataHeader[dataHeader.length] = tCell;
						k++;
						break;
					}

				}

			}


		}
		headers[1] = {};
		headers[1].cells = cells; //第一行数据组装完成
	}else{
		if(statsFields){
//			cells =[];//第二行开始
			for(var j =0 ; j< statsFields.length; j++){
				tCell = {};
				//装入所有的过滤项
				tCell["colSpan"] = 1;
				tCell["rowSpan"] = 1;
				var statsFieldName = statsFields[j].name;
				statsFieldName =statsFieldName.replace("#","_");
				tCell["title"] = statsFieldName;
				tCell["display"] = statsFields[j].display;
				cells[cells.length] = tCell;
				dataHeader[dataHeader.length] =tCell;
			}

		}
		headers[0] = {};
		headers[0].cells = cells;
	}
	//数据组装报表数据结果集合
	//首先组合rowheader 然后组合
		var rowI = 0;
		for(var i =0 ;i<detailData.length ;i++){

			cells =[];//组装data开始
			var dataEntity = detailData[i];
				filterDetailData[rowI] ={};

				for(var j =0 ;j<dataHeader.length ; j++){

					for(var tempKey in dataEntity){
						if(tempKey == dataHeader[j].title){
							tCell = {};
							tCell["colSpan"] = 1;
							tCell["rowSpan"] = 1;
							tCell["title"] = tempKey;
							tCell["display"] = dataEntity[tempKey][0];
							cells[j] = tCell;
							break;
						}

					}
					if(dataEntity.rowType == "0"){//小计
						if(dataEntity.rowSumKey == dataHeader[j].title){

							tCell = {};
							tCell["colSpan"] = 1;
							tCell["rowSpan"] = 1;
							tCell["title"] = dataHeader[j].title;
							tCell["display"] = $.i18n("datarelation.alert.opener.subtotal.js");
							cells[j] = tCell;
						}
					}else if(dataEntity.rowType == "1"){//合计
							tCell = {};
							tCell["colSpan"] = 1;
							tCell["rowSpan"] = 1;
							tCell["title"] = dataHeader[j].title;
							tCell["display"] = $.i18n("datarelation.alert.opener.total.js");
							cells[0] = tCell;
					}

				}
				filterDetailData[rowI].cells =cells;
				rowI++;

		}
		if(headers.length > 0){
			//兼容出现静态报表中间修改设置后的出表问题
			if(filterDetailData[0].cells.length>0){
				var realColSpan = 0;
				for(var i =0;i<filterDetailData[0].cells.length;i++){
					var nowTitle = filterDetailData[0].cells[i].title;
					if(nowTitle.indexOf("col_0_")>-1){
						realColSpan++;
					}

				}
				for(var i =0;i<headers[0].cells.length;i++){
					var nowColSpan = headers[0].cells[i].colSpan;
					if(nowColSpan > 1){
						if(realColSpan == nowColSpan){
							break;
						}else{
							headers[0].cells[i].colSpan = realColSpan;
						}

					}
				}

			}
			//调用cap3的方法
			showCap3Tab2(headers,filterDetailData,po.showColFieldList,po,tpl);
		}

}
/**
 * 显示cap4的图表方法
 * @param dataType
 * @param dataList
 * @param tpl
 * @param po
 */
function showCap4ImgChart(dataType, dataList, tpl, po){
	if(po.dataTypeName == "formStat" && po.capType =="4" && dataList.data.length >0  && po.showChart == 1){
		// 显示图表
			var initCap4Chart =function(){
				var li = tpl.find("#img[class='display_none']");
				var chartDiv = li.find("#chartIndex");//图表对象

				var chartData = [];
				var chartHtml = [];
				for (var i = 0; i < po.chartItemList.length; i++) {
					var chartItem = po.chartItemList[i];
					var chartTitle = po.formQueryTitle;
					var absId = po.id;
					chartDiv.attr("id","vreport_"+i+"_"+absId);
					chartDiv.css("width",325);
					chartDiv.css("height",250);
					chartHtml.push(li.html());
					chartData.push({"po":po,"chartType":chartItem.type,"entity":dataList,"chartId":"vreport_"+i+"_"+absId});
				}

				//cap3的方式
				chartDiv.attr("id","chartIndex");
				tpl.append(chartHtml.join(""));
//				$("#img").removeClass("display_none").css("display","inline");
				for (var k = 0; k < chartData.length; k++) {
					var statsFields=new Array();
					var poject = chartData[k].po;
					var dataSList = chartData[k].entity;
					var domId = chartData[k].chartId;
					var showColFieldList = dataSList.show.currentShowFields.split(",");
					for(var j=0;j<showColFieldList.length;j++){
						for(var i=0;i<poject.formCondMap.statsFields.length;i++){
							var alisTableName = poject.formCondMap.statsFields[i].aliasTableName;
							var nowShowFiled = showColFieldList[j];
							if((alisTableName+"."+poject.formCondMap.statsFields[i].name == nowShowFiled)){
								poject.formCondMap.statsFields[i].penetrateEnable = false;//不允许穿透
								statsFields.push(poject.formCondMap.statsFields[i]);
							}
						}
					}


					//如果某个图标没有数据那么不显示
					if( statsFields.length > 0 ){
						//为了兼容静态报表修改条件下的问题 --过滤项在和查询的数据结果过滤一次
						var filterStatsFields = [];
						for(var i = 0; i<statsFields.length ;i++){
							for(var key in dataSList.data[0]){
								if(key.indexOf("col_0_")>-1){
									key = key.substr(4,key.length);
									key = key.substr(key.indexOf("_")+1,key.length);
								}
								if(key == (statsFields[i].aliasTableName +"_"+ statsFields[i].name) ){
									filterStatsFields.push(statsFields[i]);
									break;
								}
							}

						}
						var reportConfig ={designId:poject.formQueryId,rowHeaders:poject.formCondMap.rowHeaders,colHeaders:poject.formCondMap.colHeaders,statsFields:filterStatsFields,userConditions:dataSList.userConditions};
						var reportData ={data:dataSList.data,colData:dataSList.coldata};
						var otherAttr = {};
						var chartAttr = {chartType: chartData[k].chartType,maxResult:poject.pageSize,showLegend:true};
						if(filterStatsFields.length > 0){
							reportResultChartApi.showContent({
								domId:domId,
								reportConfig:reportConfig,reportData:reportData,chartAttr:chartAttr,otherAttr:otherAttr
							});
						}
					}
				}
			}
			initCap4Chart();
	}
}

function getSubStr(title,len){
	if(title == null){
		return "";
	}
	return getLimitLength(title,len);
}

/**
 * 查看数据
 */
function openWin(_this){
	var ths = $(_this);
	var pId = ths.attr("pid"), index = parseInt(ths.attr("index"));
	var dataList = pageX.po2DataListMap[pId];
	var data = dataList[index];
	var po = getConfigById(pId);

	var  baseObjectId = typeof(summaryId) == 'undefined' ? '' : summaryId  ;
	switch (po.dataTypeName) {
		case "otherReport":
			var url = _ctxPath+"/vreport/vReport.do?method=showReport&id="+po.formQueryId;
			openFormWin(url, po);
			break;
		case "selfColl":
			var affairId = data.affairId;
			if(po.sendToOther){
				affairId = callBackendMethod("dataRelationManager","getSenderAffairId",data.summaryId);
			}
			openCtpWindow({"url":_ctxPath + "/collaboration/collaboration.do?method=summary&openFrom=glwd&affairId=" + affairId+"&baseObjectId="+baseObjectId+"&baseApp=1"});
			break;
		case "traceWorkflow":
			openCtpWindow({"url":_ctxPath + "/collaboration/collaboration.do?method=summary&openFrom=repealRecord&affairId=" + data.id+"&baseObjectId="+baseObjectId+"&baseApp=1"});
			break;
		case "templateSend":
		case "templateDeal":
			openCtpWindow({"url":_ctxPath + "/collaboration/collaboration.do?method=summary&openFrom=glwd&affairId=" + data.affairId+"&baseObjectId="+baseObjectId+"&baseApp=1"});
			break;
		case "outSystem":
			openCtpWindow({"url":data.url,"id":po.id});
			break;
		case "project":
			turnToUrl("project"+data.id,_ctxPath + "/project/project.do?method=projectSpace&projectId=" + data.id);
			break;
		case "doc":
			if (data.folder) {
				turnToUrl("doc"+data.id,_ctxPath + "/doc.do?method=docHomepageIndex&docResId=" + data.id);
				return;
			} else {
				var url = _ctxPath + "/doc.do?method=docOpenIframeOnlyId&openFrom=glwd&docResId=" + data.id + "&baseObjectId=&baseApp=1";
				if(opener && opener.openCtpWindow){
					opener.openCtpWindow({"url":url});
				}else{
					openCtpWindow({"url":url});
				}
				return;
			}
		case "formStat":
		case "formSearch":
		default:
			return;
	}
}

function openMoreWin(_this){
	var ths = $(_this);
	var pId = ths.attr("pid");
	var po = getConfigById(pId);
	var top = getA8Top().screen;
	var width = top.width,heigth = top.heigth;
	switch (po.dataTypeName) {
		case "project":
		case "doc":
			pageX.clkCounter.click(po.dataTypeName);
			break;
		default:
	}

	switch (po.dataTypeName) {
		case "templateSend":
			if(cap4Flag && cap4Flag =="true"){
				openCtpWindow({"height":heigth,"width":width,"url":_ctxPath + "/dataRelation.do?method=templateSendMore&openFrom="+openFrom+"&summaryId="+pageX.params.summaryId+"&pid="+po.id+"&affairId="+affairId + "&templateId="+pageX._templateId+"&formAppid="+pageX._formAppid+"&canCopy="+pageX.canCopy+"&bodyType="+window.bodyType+"&subject="+encodeURIComponent(po.subject)+"&cap4Flag="+cap4Flag,"id":"templateSend"});
			}else{
				openCtpWindow({"height":heigth,"width":width,"url":_ctxPath + "/dataRelation.do?method=templateSendMore&openFrom="+openFrom+"&summaryId="+pageX.params.summaryId+"&pid="+po.id+"&affairId="+affairId + "&templateId="+pageX._templateId+"&formAppid="+pageX._formAppid+"&canCopy="+pageX.canCopy+"&bodyType="+window.bodyType+"&subject="+encodeURIComponent(po.subject),"id":"templateSend"});
			}
			return;
		case "templateDeal":
			if(cap4Flag && cap4Flag =="true"){
				openCtpWindow({"height":heigth,"width":width,"url":_ctxPath + "/dataRelation.do?method=templateDealMore&pid="+po.id+"&summaryId="+pageX.params.summaryId+"&senderId="+pageX.params.senderId+"&memberId="+pageX.params.memberId+"&nodePolicy="+encodeURIComponent(pageX.params.nodePolicy)+"&affairId="+affairId+"&templateId="+pageX._templateId+"&subject="+encodeURIComponent(po.subject)+"&cap4Flag="+cap4Flag,"id":"templateDeal"});
			}else{
				openCtpWindow({"height":heigth,"width":width,"url":_ctxPath + "/dataRelation.do?method=templateDealMore&pid="+po.id+"&summaryId="+pageX.params.summaryId+"&senderId="+pageX.params.senderId+"&memberId="+pageX.params.memberId+"&nodePolicy="+encodeURIComponent(pageX.params.nodePolicy)+"&affairId="+affairId+"&templateId="+pageX._templateId+"&subject="+encodeURIComponent(po.subject),"id":"templateDeal"});
			}
			return;
		case "selfColl"://自由协同
			openCtpWindow({"height":heigth,"width":width,"url":_ctxPath + "/dataRelation.do?method=selfCollMore&pid="+po.id+"&summaryId="+pageX.params.summaryId+"&senderId="+pageX.params.senderId+"&memberId="+pageX.params.memberId+"&affairId="+affairId+"&subject="+encodeURIComponent(po.subject)+"&sendToOther="+po.sendToOther,"id":po.id,"id":"selfColl"});
			return;
		case "outSystem":
			openCtpWindow({"height":heigth,"width":width,"url":data.url,"id":"outSystem"});
			return;
		case "project":
			turnToUrl(po.dataTypeName,_ctxPath + "/projectandtask.do?method=projectAndTaskIndex&pageType=project&_resourceCode=F02_projecttask");
			return;
		case "doc":
			turnToUrl(po.dataTypeName,_ctxPath + "/doc.do?method=docIndex&openLibType=1&_resourceCode=F04_docIndex");
			return;
		case "formStat":
			var url = "";
			if(po.capType == "4"){
				url = _ctxPath+"/report4Result.do?method=showResult&designId="+po.formQueryId+"&type=drQuery&hidelocation=false&affairId="+affairId+"&drPoId="+po.id+"&queryId="+po.formQueryId;

			}else{
				url = _ctxPath + "/report/queryReport.do?method=index&_resourceCode=F08_reportviewindex";
				if(po.formQueryId){
					url  = _ctxPath + "/report/queryReport.do?method=goIndexRight&masterId="+pageX.formMasterId+"&type=drQuery&affairId="+affairId+"&drPoId="+po.id+"&reportId="+po.formQueryId;
				}
			}
			openFormWin(url, po);
			return;
		case "formSearch":
			var url = "";
			if(po.capType == "4"){
					url = _ctxPath+"/report4Result.do?method=showResult&designId="+po.formQueryId+"&type=drQuery&hidelocation=false&affairId="+affairId+"&drPoId="+po.id+"&queryId="+po.formQueryId;
			}else{
				url = _ctxPath + "/form/queryResult.do?method=queryExc&masterId="+pageX.formMasterId+"&type=drQuery&hidelocation=false&affairId="+affairId+"&drPoId="+po.id+"&queryId="+po.formQueryId;
				if (!po.formQueryId) {
					url = _ctxPath + "/form/queryResult.do?method=queryIndex&_resourceCode=T05_formQuery";
				}
			}
			openFormWin(url, po);
			return;
		default:
			return;
	}
}

/**
 * 打开窗口，参数不能通过url传递，否则会被截取
 */
function openFormWin(url,po){

	var condItemList = [];
	var pageCondMap = {};
	var subKeyList = [];
	var subRecordIdList = [];
	if (po.pageCondItemList) {
		for (var i = 0; i < po.pageCondItemList.length; i++) {
			var item = po.pageCondItemList[i];
			var fieldValueCode = "";
			for (var objFieldName in item) {
				if(objFieldName!="leftChar" && objFieldName!="fieldName"
					&& objFieldName!="operation" && objFieldName!="fieldValue"
					&& objFieldName!="rightChar" && objFieldName!="rowOperation" && objFieldName != "trunkFieldName"){//找到值的名称
					var obj = objFieldName.split('_');
					if (item.fieldRecordId && obj.length > 1) {//重复表字段
						if(item.fieldName == obj[0]){//objFieldName格式为fieldId_recordId(重复行Id)
							fieldValueCode = objFieldName;
							break;
						}
					} else if (!item.fieldRecordId) {
						if(item.fieldName == objFieldName){
							fieldValueCode = objFieldName;
							break;
						}
					}
				}
			}
			var fname = item.fieldName + fieldValueCode;
			if (typeof(item.fieldRecordId) != "undefined" && "" != item.fieldRecordId) {
				if ($.inArray(item.fieldName, subKeyList) == -1) {
					subKeyList.push(item.fieldName);
				}
				if ($.inArray(item.fieldRecordId, subRecordIdList) == -1) {
					subRecordIdList.push(item.fieldRecordId);
				}
			}
			pageCondMap[fname] = item;
		}
	}

	if (po.customCondItemList) {
		for (var i = 0; i < po.customCondItemList.length; i++) {
			var item = po.customCondItemList[i];
			var fname =  item.trunkFieldName + item.fieldValue;
			//重复表解析成多个语句
			if (subRecordIdList.length>0 && $.inArray(item.trunkFieldName, subKeyList) > -1) {
				var subValueList = [],j=0;
				for (var k=0; k<subRecordIdList.length; k++) {
					//作为性能考虑,重复行只统计100行数据
            		if(j>100) {
            			break;
            		}
					var item2 = null;
					if (pageCondMap[fname+"_"+subRecordIdList[k]] != null) {
						item2 = $.extend(true, {}, pageCondMap[fname+"_"+subRecordIdList[k]]);
					} else {
						item2 = $.extend(true, {}, item);
						item2.fieldValue = null;
					}
					item2.fieldRecordId = subRecordIdList[k];
					//排除重复表中相同的值
					if ($.inArray(item2.fieldValue, subValueList) > -1) {
            			continue;
            		}
					subValueList.push(item2.fieldValue);
					condItemList.push(item2);
					j++;
				}
			} else {
				var item2 = null;
				if (pageCondMap[fname] != null) {//页面有值的时候,才传递值.否则后台取表单控件值
					item2 = $.extend(true, {}, pageCondMap[fname]);
					condItemList.push(item2);
				}
			}
		}
	}


	var winName = "drWin"+Math.abs(po.id),
	    postUrl = "/seeyon/collaboration/collaboration.do?method=cashTransData&_rand=" + new Date().getTime(),
	    width = parseInt(getA8Top().screen.width)-20,
	    height = parseInt(getA8Top().screen.height)-102,
	    winParam = "width="+width+",height="+height + ",top=0, left=0",
	    tParams = {"pageCondJSON" : $.toJSON(condItemList),
					"drPoId" : po.id,
					"affairId" : affairId,
					"recordId" : pageX.formMasterId,
					"dataTypeName" : po.dataTypeName};

	if (po.capType == "4" && (po.dataTypeName == "formStat" || po.dataTypeName == "formSearch")) {
		postUrl = "/seeyon/collaboration/collaboration.do?method=cacheUserCondition2Report&_rand=" + new Date().getTime()
	}
	ajaxSubmit(postUrl, tParams, url, winName, winParam);
}

//Post方式提交表单
function ajaxSubmit(postUrl, tParams, openUrl, winName, winParam){
	// 先声明一个异步请求对象
	var xmlHttpReg = null;
	if (window.ActiveXObject) {// 如果是IE
		xmlHttpReg = new ActiveXObject("Microsoft.XMLHTTP");
	} else if (window.XMLHttpRequest) {
		xmlHttpReg = new XMLHttpRequest(); // 实例化一个xmlHttpReg
	}
	// 如果实例化成功,就调用open()方法,就开始准备向服务器发送请求
	if (xmlHttpReg != null) {
	    xmlHttpReg.onreadystatechange = function(){
	        if (xmlHttpReg.readyState == 4 && xmlHttpReg.status == 200) {//4代表执行完成
	        	var cashId = xmlHttpReg.responseText;
	        	// 如果是cap4 cashId为空，conditionId不为空
	            window.open(openUrl + "&cashId=" + cashId + "&conditionId=" + cashId, winName, winParam);
	        }
	    }
		xmlHttpReg.open("POST", postUrl, true);
		xmlHttpReg.setRequestHeader("Content-Type","application/x-www-form-urlencoded; charset=UTF-8");
		xmlHttpReg.send(_formatParams(tParams));
	}
};

function _formatParams(data) {
    if(data){
        var arr = [];
        for ( var name in data) {
            arr.push(encodeURIComponent(name) + "=" + encodeURIComponent(data[name]));
        }
        return arr.join("&");
    }else{
        return null;
    }
}

/**
 * 转向特定的url
 * @param typeId
 * @param url
 */
var openerMainFrame = null;
function turnToUrl(typeId,url){
	var _location = {},isConfim = false;
	var rval = {"location":{},"isConfim":false};
	var mainFrame = null;
	if(openerMainFrame){
	    mainFrame = openerMainFrame;
	}else if(opener){
		try{
			var homeWindow = opener.parent.showMenu?opener.parent:opener.parent.parent;
			mainFrame = homeWindow.frames["mainIframe"];
			if(!mainFrame){
				homeWindow.showMenu(url);
				mainFrame = homeWindow.frames["mainIframe"];
			}
		}catch(e){
			//没有权限编码
			if(e.number == "-2146828218"){
				$.alert($.i18n("datarelation.alert.opener.change.js"));
			}
		}
	}
	if (mainFrame && mainFrame.location) {

	    opener && opener.focus();

		pageX.clkCounter.click(typeId);
		_location = mainFrame.location;
	}else{
		if (getCtpTop().frames && getCtpTop().frames["mainIframe"]) {
			_location = getCtpTop().frames["mainIframe"].location;
			isConfim = true;
		}
	}

	if (isConfim) {
		var confirm = $.confirm({
	        'msg': $.i18n('datarelation.js.confirm.js'),
	        "ok_fn": function(){
	        	_location.href = url;
	        },
	        "cancel_fn":function(){}
	    });
	} else {
		_location.href = url;
	}
}


/**
 * 复制到当前表单模板
 * @param ths
 */
function copyFormData(ths,event){
	try{
		if(!cap4Flag || cap4Flag !="true"){
            contentLoaded = true;//先修改为可以提交
			// if(contentLoaded && contentLoaded == true){
			// 	contentLoaded = false;
			// }
		}
	}catch(e){}
	
	var evt = event||window.event;
	if (evt.stopPropagation) {
		evt.stopPropagation();
	} else {
		evt.cancelBubble = true;
	}
	var _this = $(ths);
	var formRecordid = _this.attr("formRecordid");
	copyForm(formRecordid,_this.attr("summaryId"));
}


function _getZWIframeElement4DR(){

    var fnx;
    fnx = window.document.getElementById("zwIframe");
    return fnx;
}

function copyForm(formRecordid,summaryId) {

	if(cap4Flag && cap4Flag =="true"){
		try {
			startTopPageProcessBar();
			var fnx = __getZWIframe();
			fnx.contentAPI.setFormContentCopy({
				moduleType : '1',
				formRecordid : formRecordid,
				summaryId : summaryId
			},function(){
				endTopPageProcessBar();
			});
		}catch(e){}
		
	}else{
		var tempZwOfficeFrame = $("#zwOfficeIframe");
		var hasLoad="false";
		if(tempZwOfficeFrame){
			hasLoad = tempZwOfficeFrame.attr("hasLoad"); // 获取frame中的hasLoad值
		}
	    if (hasLoad == "true") {// 已打开过office正文,先切换到表单视图
			var win = $(window.frames["zwIframe"].document);
			var id = win.find("#viewsTab li:first-child").attr("index");
			var _zwIframe = window.document.zwIframe;
			_zwIframe._viewContentSwitch(this, id, _zwIframe._changeViewHandler);
	    }
		var zwIframe = _getZWIframeElement4DR();
		if (!pageX.url) {
			pageX.url = zwIframe.src;
		}
		if(typeof(_exeContentLoadedCallbackFlag) != 'undefined'){
			_exeContentLoadedCallbackFlag = false;
		}
		var url = pageX.url + "&openFrom=dataRelation&formRecordid=" + formRecordid + "&summaryId="
		+ $("#id", $("#colMainData")).val();
		zwIframe.src = url;
	}
}

function openDialog(options){
	var topWindow = getCtpTop();
	var defaultSet = {
		id:'_dr_dialog',
		btnOk : $.i18n('office.auto.ok.js'),
		btnCancel : $.i18n('office.auto.cancel.js'),
		width : 850,
		height : 730,
		hasBtn : true
	};

	var opt = $.extend(true, defaultSet, options);
	var transParams = "";
	if (opt.transParams && opt.transParams != null) {
		transParams = opt.transParams;
	}

	var windowParam = {
		id : opt.id,
		url : opt.url,
		targetWindow : topWindow,
		width : opt.width,
		height : opt.height,
		top:opt.top,
		title : opt.title,
		transParams : transParams
	};

	if (opt.hasBtn) {
		windowParam.buttons = [ {
			text : opt.btnOk,
			isEmphasize:true,
			handler : function() {
				if (typeof (fnOK) !== 'undefined') {
					fnOK({
						dialog : topWindow._officeWin,
						okParam : topWindow._officeWin.getReturnValue()
					});
				}
			}
		}, {
			text : opt.btnCancel,
			handler : function() {
				if (typeof (fnCancel) !== 'undefined') {
					fnCancel({
						dialog : topWindow._officeWin
					});
				}
			}
		} ];
	}
	topWindow._officeWin = $.dialog(windowParam);
}

//在正文组件中找到数据记录ID
function _setFormRecordId(){
	//自由协同不会有contentAPI
	try {
		var fnx = __getZWIframe();
		pageX.formMasterId = fnx.contentAPI.getContentDataId();
	}catch(e){}
}

/**
 * 根据配置，在后台取关联数据
 */
function loadRelationData(ids,map, loadCallback){
    if(!pageX.formMasterId){
        _setFormRecordId();
    }

    pageX.params.poIds = ids;
    pageX.params.formMasterId = pageX.formMasterId;
    pageX.params.pageConditions = map;
    pageX.params.affairState = affairState;

	callBackendMethod("dataRelationManager","findByDataRelationIds",pageX.params,{
    	success:function(rval){
    		loadArea(rval);
    		for (var i = 0; i < ids.length; i++) {
    			var po = getConfigById(ids[i]);
    			pageX.ajaxReqM.response(po);
    		}
    		//页面刷新后执行回调函数
    		if(loadCallback){
    		    setTimeout(function(){
    		        loadCallback();
    		    }, 50);
    		}
    	}
    });
}

function getTitle(dataType,data,len, width){

    width = width - 5;//兼容5px

	var title,text;
	switch (dataType) {
		case "selfColl":
		case "templateSend":
		case "templateDeal":
			title = data.subject;

		    var iconCount = 0;

		    //加图标
		    //重要程度
		    var importIcon = "";
		    if(data.importantLevel !=""&& data.importantLevel != 1){
		        width = width - ((data.importantLevel - 2) * 4 + 8);
		        importIcon = "<span class='ico16 important"+data.importantLevel+"_16 '></span>";
		    }

		  //流程状态
		   /* var stateIcon = "";
            if(data.state != null && data.state !="" && data.state != "0"){
                iconCount++;
                stateIcon = "<span class='ico16  flow"+data.state+"_16 '></span>" ;
            }*/

		    //附件
            var attIcon = "";
		    if(data.hasAttsFlag == true){
		        iconCount++;
		        attIcon = "<span class='ico16 affix_16'></span>" ;
		    }
		    //协同类型
		    var bodyIcon = "";
		    if(data.bodyType!=""&&data.bodyType!=null&&data.bodyType!="10"&&data.bodyType!="30"){
		        iconCount++;
		        bodyIcon = "<span class='ico16 office"+data.bodyType+"_16'></span>";
		    }

		    //如果设置了处理期限(节点期限),添加超期图标\
		    /*if(data.deadLineName != $.i18n('collaboration.project.nothing.label')){
		        if(data.isCoverTime){//超期图标
		            txt = txt + "<span class='ico16 extended_red_16'></span>" ;
		        }else{//未超期图标
		            txt = txt + "<span class='ico16 extended_blue_16'></span>" ;
		        }
		    }*/

		    var txt = data.subject;
		    if(!txt){
		        txt = "";
		    }
		    txt = txt.replace(/\r\n/ig, "").replace(/\r/ig, "").replace(/\n/ig, "");

            //如果是代理 ，颜色变成蓝色
            var proxyColor = "";
            if (data.proxy) {
                proxyColor = "color_blue";
            }

            iconCount++;//最后有一个复制图标
            var cWidth = width - 16;//前面有一个.
            var liWidth = cWidth - iconCount * 16;

            //标题列加深(OA-88826 在协同待办事项里，点击待办数据，查看报错，只有reny1，才会出现这个问题，其他都是正常的，点击查看表单协同，报js错误,转译)
            //txt="<span class='grid_black " + proxyColor + "'>"+escapeStringToHTML(getLimitLength(txt,len))+"</span>";
            txt="<span style='max-width:"+liWidth+"px' class='grid_black dr_item_title " + proxyColor + "'>"+escapeStringToHTML(txt)+"</span>";

		    txt =  importIcon + txt + attIcon + bodyIcon;

		    text = txt;



			break;
		case "outSystem":
		case "traceWorkflow":
			title = data.subject;
			if(!title){
			    title = "";
            }
			title = title.replace(/\r\n/ig, "").replace(/\r/ig, "").replace(/\n/ig, "");
			text = escapeStringToHTML(getLimitLength(title,len));
			break;
		case "project":
			title = data.projectName;
			if(!title){
                title = "";
            }
            title = title.replace(/\r\n/ig, "").replace(/\r/ig, "").replace(/\n/ig, "");
			var iconCount = 1;//同模板保持一致
			iconCount++;
			var cWidth = width - 16 - 5;//前面有一个.
            var liWidth = cWidth - iconCount * 16;
            text ="<span style='max-width:"+liWidth+"px' class='grid_black dr_item_title'>" + escapeStringToHTML(title) +"</span>";
			text = "<span class='ico16 icon_group_16'></span> " + text;
			break;
		case "doc":
			title = data.frName;
			if(!title){
                title = "";
            }
            title = title.replace(/\r\n/ig, "").replace(/\r/ig, "").replace(/\n/ig, "");
			var attIcon = "";
			var iconCount = 1;//同模板保持一致
			if(data.hasAttachments){
			    iconCount++;
			    attIcon = "<span class='ico16 affix_16'></span>";
			}

			iconCount++;
			var cWidth = width - 16 - 5;//前面有一个.
            var liWidth = cWidth - iconCount * 16;

			text = "<img width='16' height='16' src='/seeyon/apps_res/doc/images/docIcon/"+data.icon+"' style='vertical-align: middle'/>"
			      +"<span style='max-width:"+liWidth+"px' class='margin_l_5 grid_black dr_item_title'>" + escapeStringToHTML(title)+"</span>";

			text = text + attIcon;

			break;
		case "formStat":
			break;
		case "formSearch":
			break;
		default:
			break;
	}
	title = title==null ? "": title;
	text = text== null ? "" : text;
	return {"title":title,"text":text};
}

/**
 * 返回对应数据类型返回的模板的html内容和类型
 */
function getTpl(dataType){
	switch (dataType) {
		case "formStat":
			return {"type":"tab2img","tplHtml":pageX.tplHtml["tab2img"]};
		case "formSearch":
			return {"type":"tab","tplHtml":pageX.tplHtml["tabTpl"]};
		case "otherReport":
		case "outSystem":
			return {"type":"img","tplHtml":pageX.tplHtml["imgTpl"]};
		case "index":
			return {"type":"index","tplHtml":pageX.tplHtml["index"]}
		default:
			return {"type":"list","tplHtml": pageX.tplHtml["listTpl"]};;
	}
}

function getConfigById(poId){
	for (var i = 0; i < pageX.poList.length; i++) {
		var po = pageX.poList[i];
		if(poId ==  po.id){
			return po;
		}
	}
}

function pageInit(){
	initContext();

	_setDRHeight();
	$(window).resize(_setDRHeight);
	//数据关联滚动事件
	$(".msg_body", $("#guanlian_info_div")).scroll(_loadDataOnScorll);

	var _ifameMaskHtml="<iframe id='guanlian_iframe_mask' class='absolute' style='right:0;width:0;height:0;border:0;z-index:1;display:none;''></iframe>";
	$("#colSummaryData").append(_ifameMaskHtml);
	setTimeout(function(){
		checkDRHeight();
	},1000)
}

//计算高度
function _setDRHeight(){
    setTimeout(function(){
    	var $drDiv = $("#guanlian_info_div");
    	var _height = $drDiv.height();
    	_height = _height - 34;
    	pageX._height = _height;

    	//有一个奇怪的现象， 每次升级后第一次访问高度都会计算错误， 不知道为什么，限定最低 300高度
    	_height = Math.max(_height, 300);

    	$(".msg_body", $drDiv).height(_height);
    },1);
}

//fix msg_body 的高度
function checkDRHeight(){
	var $drDiv = $("#guanlian_info_div");
	var _height = $drDiv.height();
	_height = _height - 34;
	if($(".msg_body").height()<_height){
		$(".msg_body").height(_height);
	}
}
/**
 * 点击事件计数器
 */
function clickCounter(){
	var type2ClickCount = {};// 类型,点击次数
	var ths = {};
	ths.click = function (type){
		var clkCount = 2;
		if(type == "project"){
			clkCount = 4;
		}
		if (type) {
			if (type2ClickCount[type] == null) {
				type2ClickCount[type] = 0;
			}
			type2ClickCount[type] = type2ClickCount[type] + 1;
			if (type2ClickCount[type] >= clkCount) {
				$.alert($.i18n("datarelation.win.dbclick.title.js"));
				type2ClickCount[type] = 0;
			}
		}
		//重置其它计数器
		for ( var t in type2ClickCount) {
			if(t!=type){
				type2ClickCount[t] = 0;
			}
		}
	}
	return ths;
}

/**
 * ajax请求管理器，主要管理编辑页面条件实时加载栏目数据的时机
 * 规则：每个栏目的数据请求是一个队列，如果有2个以上的请求时，每个栏目第一个请求和最后一次的请求为有效请求且需要等到第一次请求返回完毕，第二次请求才会触发。
 * 1.保存自己的请求队列，如果有新的请求，但是栏目有请求未返回，暂停请求
 * 2.如果当前数据关联未展开，不请求，只缓存有效的请求，当展开的时候出发【未实现】
 * 3.默认加载第一次数据关联。
 * 4.记录返回为null的条件，如果返回为空的条件成立，再新增条件，则不会查询。【未实现】
 * // shift:从数组中把第一个元素删除，并返回这个元素的值。
   // unshift: 在数组的开头添加一个或更多元素，并返回新的长度
   // push:在数组的中末尾添加元素，并返回新的长度
   // pop:从数组中把最后一个元素删除，并返回这个元素的值。
 */
function ajaxRequestManager(){
	var ajaxReq = {};//poId:po,等待请求的队列
	var a = {};
	var batchNum = 3;
	a.request = function(po){//请求注册
		if(pageX.drAreaVisible){//队列里面已经没有可以运行的po，直接运行，大于0时，直接加入队列等待响应
			run(po);
		} else {
		    this.addRequest(po);
		}
	}
	a.addRequest = function(po){
	    po.isLoad = false;
        ajaxReq[po.id] =  po;
	}

	//私有方法，外部不能调用
	function run(po) {
		po.isLoad = true;
		var tpl = pageX.fillArea.find("ul[id=" + po.id + "]");
		if(po.pageCondItemList == null){
			po.pageCondItemList = [];
		}
		if (tpl.length == 1) {
			tpl.find(".loading_li").show();//loading

			var pageCondItemListObj = new Object();
			pageCondItemListObj[po.id] = po.pageCondItemList;
			loadRelationData([po.id],pageCondItemListObj);
		}
	}

	//回调
	function _loadData(reqArray, pBatchNum, pPageCondItemListObj, callback){
	    if(reqArray.length > 0){
            var subSize = Math.min(pBatchNum, reqArray.length);
            var subArray = reqArray.splice(0, subSize);
            loadRelationData(subArray, pPageCondItemListObj, function(){
                _loadData(reqArray, pBatchNum, pPageCondItemListObj, callback)
            });
        } else{
            if(callback){
                callback();
            }
        }
	}

	a.runBatch = function(_polist, loadAllCallback) {
		var reqArray = new Array();
		var pageCondItemListObj = new Object();
		for (var i = 0; i < _polist.length; i++) {
			var po = _polist[i];
			if(!po.isLoad){
			    po.isLoad = true;
			    var tpl = pageX.fillArea.find("ul[id=" + po.id + "]");
			    if(po.pageCondItemList == null){
			        po.pageCondItemList = [];
			    }
			    if (tpl.length == 1) {
			        tpl.find(".loading_li").show();//loading
			        tpl.find(".indexSearch").hide();
			        reqArray.push(po.id);
			        pageCondItemListObj[po.id] = po.pageCondItemList;
			    }
			}
		}

	    //加载数据
        _loadData(reqArray, batchNum, pageCondItemListObj, loadAllCallback);
	}

	//相应
	a.response = function(po){
		if(!po.isLoad){
			run(po);
		}
	}
	//请求所有未加载或者需要加载的。
	a.requestAll = function(poList){
	    var batchArray = new Array();
		if (poList) {
			for (var i = 0; i < poList.length; i++) {
				var po = poList[i];
				if (!po.isLoad && pageX.drAreaVisible) {
				    //滚动加载
				    if(batchArray.length < batchNum){
				        batchArray.push(po);
				    }
				}else{
					ajaxReq[po.id] =  po;
				}
			}
		} else {
			for (var poId in ajaxReq) {
				var po = ajaxReq[poId];
				if (!po.isLoad) {
				    if(batchArray.length < batchNum){
				        batchArray.push(po);
				    }
				}
			}
		}
		this.runBatch(batchArray, _loadDataOnScorll);
	}
	return a;
}

/** 滚动请求数据 **/
pageX.scrollLoadTimeout = 0;
pageX.scrollDataIds = [];
function _loadDataOnScorll(){

    var fixHeight = 10;//10px 的margin-top
    var drBody = pageX.fillArea.parent().get(0);
    var drBodyTop = drBody.scrollTop;//可见区域顶部
    var drBodyHeight = drBody.clientHeight;
    var drBodyButton = drBodyTop + drBodyHeight;//可见区域高度

    $(".dr_item", pageX.fillArea).each(function(){
        var $this = $(this);
        var itemTop = this.offsetTop + fixHeight;
        var itemButton = itemTop + this.offsetHeight;
        if(itemTop > drBodyTop || itemButton > drBodyTop || itemTop<drBodyButton || itemButton<drBodyButton){
            //元素进入可见区域
            pageX.scrollDataIds.push($this.attr("id"));
        }
    });

    clearTimeout(pageX.scrollLoadTimeout);
    pageX.scrollLoadTimeout = setTimeout(function(){
        var poList = [];
        for(var i = 0, len = pageX.scrollDataIds.length; i < len; i++){
            var po = getConfigById(pageX.scrollDataIds[i]);
            poList.push(po);
        }
        pageX.ajaxReqM.runBatch(poList, function(){
            pageX.scrollDataIds = [];
        });
    }, 100);
}


/**
 * 表单事件的改变
 * @param formData 表单计算后的值，根据条件查询
 * 1.所有配置文件的po
 * 2.根据po里面的查找表单查询和表单统计
 * 3.根据po的条件在表单里面查找，比对以前的值和现在的值是否一致，如果不一致，查询
 */
function formChangeEvent(formData,eventType) {
	var poList = pageX.poList;
	if(!poList){
		return;
	}

	if(!pageX.formMasterId){
	    _setFormRecordId();
	}
	if(eventType == "calcChange"){//查询条件不为null
		var condFieldNameList = [];
		var formAppId = null;
		for (var i = 0; i < poList.length; i++) {// 一次性取回，分批再次加载。
			var po = poList[i];
			//从第一个元素中获取到表单的appid传给后台做判断
			if(formAppId == null){
				formAppId = po.formAppId;
			}
			var customCondItemList = po.customCondItemList;
			if (customCondItemList) {
				for (var j = 0; j < customCondItemList.length; j++) {
					var item = customCondItemList[j];
					condFieldNameList.push(item.trunkFieldName);
				}
			}
		}
		if (pageX.formMasterId != null && condFieldNameList.length > 0) {
			callBackendMethod("dataRelationManager","findFormCalcData",condFieldNameList,pageX.formMasterId,formAppId,{
		    	success:function(rval){
		    		for ( var fieldName in rval) {
						formData[fieldName] = rval[fieldName];
					}
					_dynamicRequest(poList, formData);
		    	}
		    });
		}
	}else if(eventType == "change"){
	    _dynamicRequest(poList, formData);
	}
}

function _dynamicRequest(poList, formData){
    var tempPOList = [];
    if(poList){
        for (var i = 0; i < poList.length; i++) {
            var po = poList[i];
            var reqPO = initFormCond(po,formData);
            if(reqPO){
                tempPOList.push(reqPO);
            }
        }
    }

    if(tempPOList.length > 0){

        var fixHeight = 10;//10px 的margin-top
        var drBody = pageX.fillArea.parent().get(0);
        var drBodyTop = drBody.scrollTop;//可见区域顶部
        var drBodyHeight = drBody.clientHeight;
        var drBodyButtom = drBodyTop + drBodyHeight;//可见区域高度

        for(var i = 0; i < tempPOList.length; i++){

            //滚动条下面的数据进行清空
            var tpl = pageX.fillArea.find("ul[id=" + tempPOList[i].id + "]");
            if(tpl && tpl.length > 0){
                var itemTop = tpl.get(0).offsetTop + fixHeight;
                var itemButtom = tpl.get(0).offsetTop + tpl.get(0).offsetHeight;
                if(itemTop > drBodyTop || itemButtom > drBodyTop || itemTop<drBodyButtom || itemButtom<itemButtom){
                    tpl.children("li[class=table_li]").remove();
                    tpl.children("li[class=chart_li]").remove();
                }
            }
        }
        _loadDataOnScorll();//执行滚动判断
    }
}

/**
 * 初始化表单后台查询条件
 * @param po
 * @param formData
 */
function initFormCond(po,formData){
    var reqPO = null;
	switch (po.dataTypeName) {
		case "formStat"://查询配置条件所对应的值
			if(!pageX.poId2ItemValueMap["po"+po.id]){
				var rval = callBackendMethod("dataRelationManager","findFormSearchCond",po.id,affairId);
				pageX.poId2ItemValueMap["po"+po.id] = rval;
                reqPO = loadByPageCond(po,formData);
			} else {
			    reqPO = loadByPageCond(po,formData);
			}
			break;
		case "formSearch"://查询配置条件所对应的值
			if(!pageX.poId2ItemValueMap["po"+po.id]){
				var rval = callBackendMethod("dataRelationManager","findFormSearchCond",po.id,affairId);
				pageX.poId2ItemValueMap["po"+po.id] = rval;
                reqPO = loadByPageCond(po,formData);
			} else {
			    reqPO = loadByPageCond(po,formData);
			}
			break;
		case "index" :
			var isUpdate = false;
			var fieldNameList = po.fieldNameList;
			var pageCondItemList = po.pageCondItemList == null ? [] : po.pageCondItemList;
			//页面缓存的值
			var pageCondMap = {};
			for (var i = 0; i < pageCondItemList.length; i++) {
				var item = pageCondItemList[i];
				var key = item.trunkFieldName;
				pageCondMap[item.fieldName] = item;
			}
			for (var fieldName in formData) {
				if ($.inArray(fieldName, fieldNameList) != -1) {
					var formValue = formData[fieldName];

					var pageItem = pageCondMap[fieldName];
					if(isChange(pageItem,formValue.fieldValue)){
						pageItem.fieldValue = formValue.fieldValue;
						pageItem.fieldRecordId = formValue.fieldRecordId;
						pageItem.fieldName = formValue.fieldId;
						pageItem.fieldDisplyValue = formValue.fieldDisplyValue;
						isUpdate = true;
					} else if (typeof(pageItem)=="undefined"){
						var cItem = {};
						cItem.fieldValue = formValue.fieldValue;
						cItem.fieldRecordId = formValue.fieldRecordId;
						cItem.fieldName = formValue.fieldId;
						cItem.fieldDisplyValue = formValue.fieldDisplyValue;
						pageCondItemList.push(cItem);
						isUpdate = true;
					}
				}
			}
			if(isUpdate) {
				po.pageCondItemList = pageCondItemList;
				pageX.ajaxReqM.addRequest(po);
				reqPO = po;
			}
		default:
			break;
	}
	return reqPO;
}

/**
 * 加载数据
 * 清空栏目显示，后台查询数据，刷新页面
 * @param po
 */
function loadByPageCond(po,formData){
    var reqPO = null;
	buildFormCond(po,formData);
	if(po.isChange && po.pageCondItemList.length > 0){//页面有条件修改,清空栏目显示，后台查询数据，刷新页面
		//pageX.ajaxReqM.request(po);
	    pageX.ajaxReqM.addRequest(po);
        reqPO = po;
	}
    return reqPO;
}

/**
 * 根据po和当前表单数据返回查询条件的列表
 * @param po 当前栏目的配置对象
 * @param formData 表单数据
 * @returns {Array} 后台配置的属性中，条件值的列表。如果没有匹配的，返回空的数组
 * 1.后台条件表达式
   2.后台条件的值
   3.页面缓存的条件表达式
   4.表单填写传过来的值
   比较逻辑：
	页面填写的缓存比较
	找到，修改，
	找不到，找后台条件值表达式
	找到，修改，增加
	找不到，找后台条件表达式
	找到，如果非空，增加
	找不到，结束
 *
 */
function buildFormCond(po,formData){
	var condItemList =  po.customCondItemList;//1.查询条件列表
	var valueItemList = pageX.poId2ItemValueMap["po"+po.id];//2.后台条件的值
	var pageCondItemList = po.pageCondItemList == null ? [] : po.pageCondItemList;//3.页面缓存的条件表达式
	var initValueItemList = po.initItemValueList;//页面最开始条件的值
	var changed = false;
	//页面缓存的条件表达式map
	var pageCondMap = {};
	var pageCondKeyList = [];
	for (var i = 0; i < pageCondItemList.length; i++) {
		var item = pageCondItemList[i];
		var key = item.trunkFieldName;
		if (typeof(item.fieldRecordId) != "undefined" && "" != item.fieldRecordId) {
			key += "_" + item.fieldRecordId;
		}
		pageCondMap[key] = item;
		pageCondKeyList.push(key);
	}
	//后台条件的值map
	var valueItemMap = {};
	var valueItemKeyList = [];
	for (var i = 0; i < valueItemList.length; i++) {
		var item = valueItemList[i];
		var key = item.trunkFieldName;
		if (typeof(item.fieldRecordId) != "undefined" && "" != item.fieldRecordId) {
			key += "_" + item.fieldRecordId;
		}
		valueItemMap[key] = item;
		valueItemKeyList.push(key);
	}

	//页面最开始条件的值map
	var initValueItemMap = {};
	var initValueItemKeyList = [];
	if(initValueItemList){
		for (var i = 0; i < initValueItemList.length; i++) {
			var item = initValueItemList[i];
			var key = item.trunkFieldName;
			if (typeof(item.fieldRecordId) != "undefined" && "" != item.fieldRecordId) {
				key += "_" + item.fieldRecordId;
			}
			initValueItemMap[key] = item;
			initValueItemKeyList.push(key);
		}
	}

	//查询条件列表
	var condItemMap = {};
	var condItemKeyList = [];
	for (var i = 0; i < condItemList.length; i++) {
		var item = condItemList[i];
		var key = item.trunkFieldName;
		if (item.fieldRecordId && typeof(item.fieldRecordId) != "undefined" && "" != item.fieldRecordId) {
			key += "_" + item.fieldRecordId;
		}
		condItemMap[key] = item;
		condItemKeyList.push(key);
	}

	for (var fieldName in formData) {
		//初始化时,重复表行标记为空.取fieldId
		var fieldIds = fieldName.split('_');
		var key = fieldIds[0];
		var recordId = "";
		if (fieldIds.length > 1) {
			recordId = fieldIds[1];
		}
		var pageItem = pageCondMap[fieldName];
		//重复表行数据不存在时,取该fieldId对应的值
		if ($.inArray(fieldName, pageCondKeyList) == -1) {
			pageItem = pageCondMap[key];
		}
		var valueItem =  valueItemMap[fieldName];
		if ($.inArray(fieldName, valueItemKeyList) == -1) {
			valueItem = valueItemMap[key];
		}
		var initValueItem =  initValueItemMap[fieldName];
		if ($.inArray(fieldName, initValueItemKeyList) == -1) {
			initValueItem = initValueItemMap[key];
		}
		var condItem =  condItemMap[fieldName];
		if ($.inArray(fieldName, condItemKeyList) == -1) {
			condItem = condItemMap[key];
		}
		var formValue = formData[fieldName];
		if(isChange(pageItem,formValue.fieldValue)){
			pageItem.fieldValue = formValue.fieldValue;//直接修改
			pageItem[fieldName] = formValue.fieldValue;
			pageItem.fieldRecordId =  formValue.fieldRecordId;
			pageItem.fieldName =  pageItem.trunkFieldName;
			changed = true;
		}else if(!hasPageCond(pageCondItemList, key, recordId)){//pageCondItemList中没有数据
			if(isChange(valueItem,formValue.fieldValue)){//值改变了
				var cItem = $.extend(true,{},valueItem);
				cItem.fieldValue = formValue.fieldValue;
				cItem[fieldName] = formValue.fieldValue;
				cItem.fieldRecordId = formValue.fieldRecordId;
				cItem.fieldName = cItem.trunkFieldName;
				pageCondItemList.push(cItem);
				changed = true;
			}else if(!hasCondItem(valueItemList,fieldName) || !hasCondItem(valueItemList,key)){//后台缓存数据中没有
				if((hasCondItem(condItemList,fieldName) || hasCondItem(condItemList,key) ) && !isBlank(formValue.fieldValue)){//在查询条件中有
					var cItem = $.extend(true,{},condItem);
					cItem.fieldValue = formValue.fieldValue;
					cItem[fieldName] = formValue.fieldValue;
					cItem.fieldRecordId = formValue.fieldRecordId;
					cItem.fieldName = cItem.trunkFieldName;
					pageCondItemList.push(cItem);
					changed = true;
				}
			}
		}
		//第一次改变值判断
		if(!changed && !pageItem && isChange(initValueItem,formValue.fieldValue)){
			var cItem = $.extend(true,{},initValueItem);
			cItem.fieldValue = formValue.fieldValue;
			cItem[fieldName] = formValue.fieldValue;
			cItem.fieldRecordId = formValue.fieldRecordId;
			cItem.fieldName = cItem.trunkFieldName;
			pageCondItemList.push(cItem);
			changed = true;
		}
	}

	po.pageCondItemList = pageCondItemList;
	po.isChange = changed;
}

function isChange(valueItem,formValue){
	var rval = false;
	if(valueItem != null){
		if(isBlank(valueItem.fieldValue) && !isBlank(formValue)){
			rval = true;
		}else if(!isBlank(valueItem.fieldValue) && isBlank(formValue)){
			rval = true;
		}else if(!isBlank(valueItem.fieldValue) && !isBlank(formValue) && valueItem.fieldValue != formValue){
			rval = true;
		}
	}
	return rval;
}

function isBlank(val){
	return val == null || val == undefined || val.trim() == "";
}

function hasCondItem(condList, fieldName) {
	if(condList && fieldName){
		for (var i = 0; i < condList.length; i++) {
			if(condList[i].trunkFieldName ==  fieldName){
				return true;
			}
		}
	}
	return false;
}
function hasPageCond(pageCondItemList, key, recordId) {
	if (pageCondItemList && key) {
		for (var i = 0; i < pageCondItemList.length; i++) {
			if (pageCondItemList[i].trunkFieldName == key && pageCondItemList[i].fieldRecordId == recordId) {
				return true;
			}
		}
	}
	return false;
}

function getLimitLength(str,maxlengh) {
    if(!maxlengh || maxlengh < 0 || str == null){
        return str;
    }
    maxlengh = maxlengh;
    var len = str.getBytesLength();
    if(len <= maxlengh){
        return str;
    }

    var symbol = "..";
    maxlengh = maxlengh - symbol.length;

    var a = 0;
    var temp = '';
    for(var i = 0; i < str.length; i++){
       if (str.charCodeAt(i) > 255) {
			a += 2;
		} else {
			a++;
		}
        temp += str.charAt(i);
        if(a >= maxlengh) {
            return temp + symbol;
        }
    }
    return str;
}

//功能说明
function fundescription(){
	var fndesc = $.dialog({
        url : _ctxPath + "/dataRelation.do?method=functionDescription&templateId="+templateId,
        title : $.i18n("datarelation.descript.title.js"),
        width : 700,
        height : 590,
        targetWindow : getCtpTop()
    });
}

/**
 * 获取正文iframe
 *
 * @returns
 */
function __getZWIframe(){

    var fnx;
    if($.browser.mozilla){
       fnx = window.document.getElementById("zwIframe").contentWindow;
    }else{
       fnx = window.document.zwIframe;
    }

    return fnx;
}

function searchClickFunc(_this) {
	var ths = $(_this);
	var keyword = ths.attr("value");

	var inputValue = ths.siblings()[0].value;
	if (typeof(inputValue) != "undefined") {
		keyword = inputValue;
	}
	//避免get方式超长,截取100个字符
	keyword = keyword.substring(0, 100);
	var keywordUrl = _ctxPath + '/index/indexController.do?method=openRedirect&open_type=href_blank&keyword='
    + encodeURIComponent(encodeURIComponent(keyword));

	openCtpWindow({"url":keywordUrl})
}


/**
 * 相关数据切换
 * @param type
 * @returns
 */
function _changeDataRelationTab(type){
    
    if("dataRelation" == type){
        
        $("#prediction_body").hide();
        $("#dataRelation_body").show();
        $("#datarealtion_msg_function").show();
        $(".msg_body").css("backgroundColor","#FFF").css("marginLeft","10px");
    }else{
        
        // 流程预测
        $("#dataRelation_body").hide();
        $("#datarealtion_msg_function").hide();
        $("#prediction_body").show();
        $(".msg_body").css("backgroundColor","#FAFAFA").css("marginLeft","0");

        _executePrediction();
    }
}

var _topPage_proce = null;
function startTopPageProcessBar() {
    try {
    	_topPage_proce = getCtpTop().$.progressBar();
    } catch (e) {
    }
}
function endTopPageProcessBar(){
    if (_topPage_proce != null) {
        try {
        	_topPage_proce.close();
        } catch (e) {
        }
    }    
}
