//全局的一个防止指定跟踪人字符串的信息
var zzGzr = '';
var ie8VersionFlag = false;
var dataType;// 数据类型，0：当前数据；1：转储数据
var searchobj, grid;
var showHandoverList = false;

$(document).ready(function(){
	new MxtLayout({
		'id' : 'layout',
		'northArea' : {
			'id' : 'north',
			'height' : 40,
			'sprit' : false,
			'border' : false
		},
		'centerArea' : {
			'id' : 'center',
			'border' : false,
			'minHeight' : 20
		}
	});
	// 工具栏
	ie8VersionFlag = $.browser.version == '8.0';
	
	loadSearch();
	loadGrid();
	loadGridData();
});

function loadGrid(){
	if (grid) {
        grid.grid.destroyGrid();
        grid.grid = null;
    }
	// 表格加载
	grid = $('#listSent').ajaxgrid({
		render : render,
		colModel : [{
			id : 'id',
			name : 'workitemId',
			width : 'smallest',
			isToggleHideShow : false
		},{
			display : $.i18n("common.subject.label"),// 标题
			name : 'subject',
			sortable : true,
			width : 'big'
		},{
			display : $.i18n("cannel.display.column.sendUser.label"),// 发起人
			name : 'startMemberName',
			sortable : true,
			width : 'medium'
		},{
			display : $.i18n("common.date.sendtime.label"),// 发起时间
			name : 'startDate',
			sortable : true,
			width : 'medium'
		}],
		height : 400,
		noTotal : isShowTotal=="0" ? true : false,
		showTableToggleBtn : true,
		parentId : $('.layout_center').eq(0).attr('id'),
		vChange : false,
		resizable : false,
		vChangeParam : {
			overflow : "hidden",
			autoResize : true
		},
		isHaveIframe : true,
		gridType : 'autoGrid',
		managerName : "colManager",
		managerMethod : "getSentlist4Quote"
	});
}

function loadGridData(){
	var o = new Object();
	var stateList = document.getElementsByName('state');
	for (var i = 0; i < stateList.length; i++) {
		if (stateList[i].checked) {
			o.state = stateList[i].value;
			break;
		}
	}
	// 判断获取主库数据还是分库数据
	if (dataType == '1') {
		o.dumpData = 'true';
	}
	if($.ctx.plugins.contains('secret')){
    	o.secretLevelMax=listSecretLevel;
    }
	$("#listSent").ajaxgridLoad(o);
}

function loadSearch(){
	if(searchobj){
		searchobj.g.destroySearch();
	}
	
	var colModel = [{
		id : 'title',
		name : 'title',
		type : 'input',
		text : $.i18n("cannel.display.column.subject.label"),// 标题
		validate : false,
		value : 'subject',
		maxLength : 100
	},{
		id : 'importent',
		name : 'importent',
		type : 'select',
		text : $.i18n("common.importance.label"),// 重要程度
		value : 'importantLevel',
		items : [{
			text : $.i18n("common.importance.putong"),// 普通
			value : '1'
		},{
			text : $.i18n("common.importance.zhongyao"),// 重要
			value : '2'
		},{
			text : $.i18n("common.importance.feichangzhongyao"),// 非常重要
			value : '3'
		}]
	},{
		id : 'spender',
		name : 'spender',
		type : 'input',
		text : $.i18n("cannel.display.column.sendUser.label"),// 发起人
		validate : false,
		value : 'startMemberName'
	},{
		id : 'datetime',
		name : 'datetime',
		type : 'datemulti',
		text : $.i18n("common.date.sendtime.label"),// 发起时间
		value : 'createDate',
		ifFormat : '%Y-%m-%d',
		dateTime : false
	}];
	
	// 搜索框
	searchobj = $.searchCondition({
		top : 7,
		right : 0,
		searchHandler : function() {
			var val = searchobj.g.getReturnValue();
			if (val !== null) {
				$("#listSent").ajaxgridLoad(getSearchValueObj());
			}
		},
		conditions : colModel
	});
}

function getSearchValueObj(){
	var o = new Object();
	var choose = $('#' + searchobj.p.id).find("option:selected").val();
	if (choose === 'subject') {
		o.subject = $('#title').val();
	} else if (choose === 'importantLevel') {
		o.importantLevel = $('#importent').val();
	} else if (choose === 'startMemberName') {
		o.startMemberName = $('#spender').val();
	} else if (choose === 'createDate') {
		var fromDate = $('#from_datetime').val();
		var toDate = $('#to_datetime').val();
		if (fromDate != "" && toDate != "" && fromDate > toDate) {
			// $.alert("${ctp:i18n('collaboration.rule.date')}");//开始时间不能大于结束时间
			return;
		}
		var date = fromDate + '#' + toDate;
		o.createDate = date;
	} else if(choose == "memberName"){
		o.memberName = $("#memberName").val();
	}
	var stateList = document.getElementsByName('state');
	for (var i = 0; i < stateList.length; i++) {
		if (stateList[i].checked) {
			o.state = stateList[i].value;
			break;
		}
	}
	// 判断获取主库数据还是分库数据
	if (dataType == '1') {
		o.dumpData = 'true';
	}
	return o;
}

function render(text, row, rowIndex, colIndex, col) {
	if (col.name == "workitemId") {
		var mapOptions = parent.fileUploadAttachments.instanceKeys.instance;
		for (var k = 0; k < mapOptions.length; k++) {
			if (mapOptions[k] == row.affairId) {
				var content = "<input type='checkbox' checked='checked' createdate='" + row.startDate + "'  id='boxId' name='"
						+ escapeStringToHTML(row.subject) + "' onclick='selectColInfo(this)' value='" + row.affairId + "'/>";
				return content;
			}
		}
		var content = "<input type='checkbox' createdate='" + row.startDate + "'  id='boxId' name='" + escapeStringToHTML(row.subject)
				+ "' onclick='selectColInfo(this)' value='" + row.affairId + "'/>";
		return content;
	}
	if (col.name == "subject") {
		var affairId = row.affairId;

		var nameContent = "<a class='card' href='#' onclick='openColInfo(this)' id='" + affairId + "'>" + text + "</a>";

		// 加图标
		// 重要程度
		if (row.importantLevel !== "" && row.importantLevel !== 1) {
			nameContent = "<span class='ico16 important" + row.importantLevel + "_16 '></span>" + nameContent;
		}
		// 附件
		if (row.hasAttsFlag === true) {
			nameContent = nameContent + "<span class='ico16 affix_16'></span>";
		}
		// 表单授权
		if (row.showAuthorityButton) {
			nameContent = nameContent + "<span class='ico16 authorize_16'></span>";
		}
		if(showHandoverList == false){
			// 协同类型
			if (row.bodyType !== "" && row.bodyType !== null && row.bodyType !== "10" && row.bodyType !== "30") {
				if(!callBackendMethod("colManager","isSupervision",row.templeteId)){//督办模板不加表单样式图标
					nameContent = nameContent + "<span class='ico16 office" + row.bodyType + "_16'></span>";
				}
			}
			// 流程状态
			if (row.state !== null && row.state !== "" && row.state != "0") {
				nameContent = "<span class='ico16  flow" + row.state + "_16 '></span>" + nameContent;
			}
		}
		return nameContent;
	}
	return text;
}

function deselectItem(affairId) {
	if (ie8VersionFlag) {
		$(":checkbox[value='" + affairId + "']").attr("checked", false);
	} else {
		$("#boxId[value='" + affairId + "']").attr("checked", false);
	}
}

function changeColType(obj) {
	if (obj.checked) {
		showHandoverList = false;
		dataType = '0'; // 当前数据
		loadGrid();
		loadGridData();
		loadSearch();
	}
}

function dumpData(obj) {
	if (obj.checked) {
		showHandoverList = false;
		dataType = '1'; // 转储数据
		loadGrid();
		loadGridData();
		loadSearch();
	}
}

function handoverData(obj) {
	if (obj.checked) {
		showHandoverList = true;
		loadHandoverGrid();
		loadHandoverSearch();
	}
}

function loadHandoverGrid(){
	if (grid) {
        grid.grid.destroyGrid();
        grid.grid = null;
    }
	
	// 表格加载
	grid = $('#listSent').ajaxgrid({
		render : render,
		colModel : [{
			id : 'id',
			name : 'workitemId',
			width : 'smallest',
			isToggleHideShow : false
		},{
	        display: $.i18n("handover.grid.member.js"),//交接人
	        name: 'memberName',
	        width : "medium"
	    },{
			display : $.i18n("common.subject.label"),// 标题
			name : 'subject',
			sortable : true,
			width : 'big'
		},{
			display : $.i18n("cannel.display.column.sendUser.label"),// 发起人
			name : 'startMemberName',
			sortable : true,
			width : 'medium'
		},{
			display : $.i18n("common.date.sendtime.label"),// 发起时间
			name : 'createDate',
			sortable : true,
			width : 'medium'
		}],
		height : 400,
		noTotal : isShowTotal=="0" ? true : false,
		showTableToggleBtn : true,
		parentId : $('.layout_center').eq(0).attr('id'),
		vChange : false,
		resizable : false,
		vChangeParam : {
			overflow : "hidden",
			autoResize : true
		},
		isHaveIframe : true,
		gridType : 'autoGrid',
		managerName : "handoverManager",
		managerMethod : "listAffairs"
	});
	
	var o = {
		state : "2,4",
		type : "toMe"
	}
	if($.ctx.plugins.contains('secret')){
    	o.secretLevelMax=listSecretLevel;
    }
	$("#listSent").ajaxgridLoad(o);
}

function loadHandoverSearch(){
	if(searchobj){
		searchobj.g.destroySearch();
	}
	var condition = [{
		id : 'memberName',
		name : 'memberName',
		type : 'input',
		text : $.i18n("handover.grid.member.js"),// 发起人
		validate : false,
		value : 'memberName'
	},{
		id : 'title',
		name : 'title',
		type : 'input',
		text : $.i18n("cannel.display.column.subject.label"),// 标题
		validate : false,
		value : 'subject',
		maxLength : 100
	},{
		id : 'importent',
		name : 'importent',
		type : 'select',
		text : $.i18n("common.importance.label"),// 重要程度
		value : 'importantLevel',
		items : [{
			text : $.i18n("common.importance.putong"),// 普通
			value : '1'
		},{
			text : $.i18n("common.importance.zhongyao"),// 重要
			value : '2'
		},{
			text : $.i18n("common.importance.feichangzhongyao"),// 非常重要
			value : '3'
		}]
	},{
		id : 'spender',
		name : 'spender',
		type : 'input',
		text : $.i18n("cannel.display.column.sendUser.label"),// 发起人
		validate : false,
		value : 'startMemberName'
	},{
		id : 'datetime',
		name : 'datetime',
		type : 'datemulti',
		text : $.i18n("common.date.sendtime.label"),// 发起时间
		value : 'createDate',
		ifFormat : '%Y-%m-%d',
		dateTime : false
	}];
	
	// 搜索框
	searchobj = $.searchCondition({
		top : 7,
		right : 0,
		searchHandler : function() {
			var val = searchobj.g.getReturnValue();
			if (val !== null) {
				var conditionObj = getSearchValueObj();
				conditionObj.state = "2,4";
				conditionObj.type = "toMe";
				$("#listSent").ajaxgridLoad(conditionObj);
			}
		},
		conditions : condition
	});
}

function selectColInfo(obj) {
	parent.quoteDocumentSelected(obj, obj.name, 'collaboration', obj.value);
}
var v3x = new V3X();
function openColInfo(obj) {
	var url = _ctxPath + "/collaboration/collaboration.do?method=summary&openFrom=glwd&type=&affairId=" + obj.id + CsrfGuard.getUrlSurffix();
	v3x.openWindow({
		url : url,
		workSpace : 'yes',
		FullScrean : 'yes',
		dialogType : 'open',
		closePrevious : "no"
	});
}