var grid;
var searchobj;
$(document).ready(function () {
    new MxtLayout({
        'id': 'layout',
        'northArea': {
            'id': 'north',
            'height': 40,
            'sprit': false,
            'border': false
        },
        'centerArea': {
            'id': 'center',
            'border': false,
            'minHeight': 20
        }
    });
    var submenu = new Array();
    var toolbarArray = new Array();
    //还原
    toolbarArray.push({id: "reduction",name: $.i18n("collaboration.bpm.recycle.reduction"),className: "ico16 retrieve_16",click:reductionCol});

    //工具栏
    $("#toolbars").toolbar({
        toolbar: toolbarArray
    });
 
    
    //查询条件
    var condition = new Array();
    //标题
    condition.push({id: 'subject',name: 'subject',type: 'input',text: $.i18n("common.subject.label"),value: 'subject',maxLength:100});
    //流程状态
    condition.push({id: 'workFlowState',name: 'workFlowState',type: 'select',text: $.i18n("collaboration.sent.section.process.state"),value: 'workFlowState',
        items: [{
            text: $.i18n("collaboration.ended"),//已结束
            value: '3'
        }, {
            text: $.i18n("collaboration.unend"),//未结束
            value: '0'
        }, {
            text: $.i18n("collaboration.eventsource.category.terminate"),//已终止
            value: '1'
        }]
    });
    //发起人
    condition.push({id: 'senderName',name: 'senderName',type: 'input',text: $.i18n("cannel.display.column.sendUser.label"),value: 'senderName'});
    //发起时间
    condition.push({id: 'datetime',name: 'datetime',type: 'datemulti',text: $.i18n("common.date.sendtime.label"),value: 'createDate',ifFormat:'%Y-%m-%d',dateTime: false});
    condition.push({id:'state',name:'state',type:'select',text:$.i18n("collaboration.bpm.recycle.fromList"),value:'state',
    	 items: [{
             text: $.i18n("collaboration.state.12.col_sent"),//已发
             value: '2'
         },{
             text:$.i18n("collaboration.state.13.col_pending"),//待办
             value: '3'
         }, {
             text:$.i18n("collaboration.state.14.done"),//已办
             value: '4'
         }]
    });
    		
    searchobj= $.searchCondition({
        right:10,
        searchHandler: function(){
            
            var val = searchobj.g.getReturnValue();
            
            if(val != null){
                $("#listRecycle").ajaxgridLoad(getSearchValueObj());
            }
        },
        conditions: condition
    });
    //表格加载
    grid = $('#listRecycle').ajaxgrid({
        colModel: [{
            display: 'id',
            name: 'affairId',
            width: 'smallest',
            type: 'checkbox',
            isToggleHideShow:false,
            align:'center'
        }, {
            display: $.i18n("common.subject.label"),//标题
            name: 'subject',
            sortable : true,
            width: 'big'
        },{
            display: $.i18n("cannel.display.column.sendUser.label"),//发起人
            name: 'senderName',
            sortable : true,
            width: 'small'
        },{
            display: $.i18n("common.date.sendtime.label"),//发起时间
            name: 'createDate',
            sortable : true,
            width: 'medium'
        }, {
            display: $.i18n("collaboration.bpm.recycle.fromList"),//流程状态
            name: 'fromList',
            sortable : true,
            width: 'small'
        }, {
            display: $.i18n("collaboration.sent.section.process.state"),//流程状态
            name: 'isFinish',
            sortable : true,
            width: 'small'
        },{
            display: $.i18n("processLog.list.title.label"),//流程日志
            name: 'processId', 
            sortable : true,
            width: 'small'
        }],
        click: dbclickRow,
        render : rend,
        height: 200,
        showTableToggleBtn: true,
        gridType:'autoGrid',
        parentId: $('.layout_center').eq(0).attr('id'),
        vChange: true,
        vChangeParam: {
            overflow: "hidden",
            autoResize:false //表格下方是否自动显示
        },
        isHaveIframe:true,
        slideToggleBtn:true,
        managerName : "affairManager",
        managerMethod : "getAffairByConditions"
    });
});

function reductionCol(){
  var rows = grid.grid.getSelectRows();
  if(rows.length <= 0) {
		  // 请选择要删除的协同。
	  $.alert($.i18n('collaboration.bpm.recycle.creduction.select.js'));
	  return true;
   }
  
  var confirm = $.confirm({
	  'msg': $.i18n('collaboration.bpm.recycle.confirm.reduction.js'),
	  ok_fn: function () {
		  for(var count = 0 ; count < rows.length; count ++){
			  	var obj = new Object();
				obj["id"] = rows[count].id;
				obj["subject"] = rows[count].subject; 
				obj["state"] = rows[count].state;
				obj["subState"] = rows[count].subState;
				callBackendMethod("affairManager","reductionAffair",obj);
		  }
		  $.messageBox({
              'title':$.i18n('collaboration.system.prompt.js'),
              'type': 0,
              'msg': $.i18n('collaboration.bpm.recycle.creduction.success.js'),
              'imgType':0,
              ok_fn:function() {
                  $("#listRecycle").ajaxgridLoad();
              },
              close_fn :function(){
                  $("#listRecycle").ajaxgridLoad();
              }
          });
	  },
	  "cancel_fn":function(){
	  }
  });
}

function dbclickRow(data,rowIndex, colIndex){
	 $("#listRecycle tr").eq(rowIndex).find("span").removeClass("font_bold");

    if(!isAffairValid(data.id)){
        $("#listRecycle").ajaxgridLoad();
        return;
    }
    var fromList = "listDone";
    if(data.state=="2"){
    	fromList = "listSent";
    }else if(data.state=="1"){
    	fromList = "listWaitSend";
    }
    var url = _ctxPath + "/collaboration/collaboration.do?method=summary&openFrom="+fromList+"&affairId="+data.id + (window.CsrfGuard ? CsrfGuard.getUrlSurffix() : "");
    var title = data.subject;
    doubleClick(url,escapeStringToHTML(title));
    grid.grid.resizeGridUpDown('down');
}

function rend(txt, data, r, c) {
	if(c == 1){
        //重要程度
        if(data.importantLevel !=""&& data.importantLevel != 1){
            txt = "<span class='ico16 important"+data.importantLevel+"_16 '></span>"+ txt;
        }
        //附件
        if(data.hasAttsFlag == true){
            txt = txt + "<span class='ico16 affix_16'></span>" ;
        }
        //协同类型
        if(data.bodyType!=""&&data.bodyType!=null&&data.bodyType!="10"&&data.bodyType!="30"){
            txt = txt+ "<span class='ico16 office"+data.bodyType+"_16'></span>";
        }
        //流程状态
        if(data.summaryState != null && data.summaryState !="" && data.summaryState != "0" && data.summaryState != "2" ){
            txt = "<span class='ico16  flow"+data.summaryState+"_16 '></span>"+ txt ;
        }
    }else if (c == 6){
        return "&nbsp;<a class='ico16 view_log_16 noClick' href='javascript:void(0)' onclick='showDetailLogDialog(\""+data.objectId+"\",\""+data.processId+"\",2)'></a>&nbsp;";
    }
    return txt;
}


function getSearchValueObj(){
	o = new Object();
    var choose = $('#'+searchobj.p.id).find("option:selected").val();
    if(choose == 'subject'){
        o.subject = $('#subject').val();
    }else if(choose == 'workFlowState'){
        o.workFlowState = $('#workFlowState').val();
    }else if(choose == 'senderName'){
        o.senderName = $('#senderName').val();
    }else if(choose == 'state'){
        o.state = $('#state').val();
    }else if(choose == 'createDate'){
        var fromDate = $('#from_datetime').val();
        var toDate = $('#to_datetime').val();
        if(fromDate != "" && toDate != "" && fromDate > toDate){
            $.alert($.i18n('collaboration.rule.date'));//开始时间不能早于结束时间
            return;
        }
        var date = fromDate+'#'+toDate;
        o.createDate = date;
    }
    return o;
}

function showAdvanceSearch(){
	openQueryViews('listPending', advanceSearchFlag);
}
